Skip to content

Changelog llvm-toolchain-8 (1:8-3~ubuntu18.04.2)

2019

llvm-toolchain-8 (1:8-3~ubuntu18.04.2) bionic-security; urgency=medium

   * No change rebuild for the security pocket

llvm-toolchain-8 (1:8-3~ubuntu18.04.1) bionic; urgency=medium

   * Backport to bionic for 18.04.3 HWE stack update. (LP: #1824111)

llvm-toolchain-8 (1:8-3) unstable; urgency=medium

   * Fix the FTBFS on mips (introduced by my previous change)

llvm-toolchain-8 (1:8-2) unstable; urgency=medium

   * Fix the search path on mips64el (which is causing the stage2
     build of mips64el to fail
     See https://bugs.llvm.org/show_bug.cgi?id=41204
 
   [ Timo Aaltonen ]
   * import patches for intel-opencl-clang: they fix various issues
     with opengl and clang-8, and are taken from llvm master branch.
     - Fix pointer blocks on OpenCL functions, that never pointed to real
       functions
     - Fix assertion errors on some OpenCL functions
     - Refactor a little bit OpenCL calls, by emitting direct block calls.

llvm-toolchain-8 (1:8-1) unstable; urgency=medium

   * New upstream release

llvm-toolchain-8 (1:8~+rc5-2) unstable; urgency=medium

   * Try to fix a mips64el FTBFS
     Cherry-pick of https://patches-gcc.linaro.org/patch/3032/

llvm-toolchain-8 (1:8~+rc5-1) unstable; urgency=medium

   * New snapshot release

llvm-toolchain-8 (1:8~+rc4-1) unstable; urgency=medium

   * New snapshot release

llvm-toolchain-8 (1:8~+rc3-1~exp1) unstable; urgency=medium

   * New snapshot release
   * Activate -DLLVM_TEMPORARILY_ALLOW_OLD_TOOLCHAIN for all
     gcc

llvm-toolchain-8 (1:8~+rc2-1~exp3) UNRELEASED; urgency=medium

   [ Gianfranco Costamagna ]
   * Commit Ubuntu delta to 8 and snapshot branches
 
   [ Matthias Klose ]
   * Remove the autopkg test for a genuine LLVM bug.

llvm-toolchain-8 (1:8~+rc2-1~exp1) unstable; urgency=medium

   * New snapshot release
   * Add support for kfreebsd (Closes: #921246)
     Many thanks to Svante Signell for all patches

llvm-toolchain-8 (1:8~+rc1-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Remove 'Multi-Arch: same' in libclang
     (Closes: #874248)

llvm-toolchain-8 (1:8~svn351401-1~exp2) experimental; urgency=medium

   * Fix debian-changelog-line-too-long
   * Silent source-contains-prebuilt-windows-binary
   * Silent executable-not-elf-or-script
     usr/lib/llvm-8/share/clang/bash-autocomplete.sh
   * Remove unapplied patches:
     - D52340-rustc-debuginfo.diff
     - D54379-hurd-triple-clang.diff
     - hurd-cxx-paths.diff
     - openmp-jessie-missing-include.diff
     - rustc-aarch64-test-failure.diff
     - strip-ignore-deterministic-archives.diff
   * Update the list of openmp symbols (added):
     - omp_get_device_num
     - omp_get_initial_device
     - omp_get_num_devices

llvm-toolchain-8 (1:8~svn351401-1~exp1) experimental; urgency=medium

   * New snapshot release (branch 8 created)
   * Silent a source lintian warning
     source: source-is-missing
     lldb/lit/Modules/ELF/Inputs/PT_LOAD-overlap-section.elf
   * Revert patch D55434 as it is breaking the build on old version of
     debian/ubuntu
   * Remove BugpointPasses.so & TestPlugin.so as they don't ship anymore

llvm-toolchain-8 (1:8~svn350834-1~exp2) UNRELEASED; urgency=medium

   * Remove patch D55434-revert.diff as the regression has been fixed upstream

2018

llvm-toolchain-snapshot (1:8~svn348749-1~exp2) experimental; urgency=medium

   * New symbols in openmp:
     - OMP_NULL_ALLOCATOR
     - __kmpc_alloc
     - __kmpc_free
     - __kmpc_get_default_allocator
     - __kmpc_omp_reg_task_with_affinity
     - __kmpc_set_default_allocator
     - omp_alloc
     - omp_capture_affinity
     - omp_cgroup_mem_alloc
     - omp_const_mem_alloc
     - omp_default_mem_alloc
     - omp_display_affinity
     - omp_free
     - omp_get_affinity_format
     - omp_get_default_allocator
     - omp_high_bw_mem_alloc
     - omp_large_cap_mem_alloc
     - omp_low_lat_mem_alloc
     - omp_pteam_mem_alloc
     - omp_set_affinity_format
     - omp_set_default_allocator
     - omp_thread_mem_alloc
     - ompc_capture_affinity
     - ompc_display_affinity
     - ompc_get_affinity_format
     - ompc_set_affinity_format

llvm-toolchain-7 (1:7.0.1-4) unstable; urgency=medium

   * On old Debian/Ubuntu, run dh_strip using fakeroot to mitigate
     a permission issue
   * Remove dbgsym packages from debci because of bug #917528
 
   [ Gianfranco Costamagna ]
   * Ignore a test result on i386, due to upstream bug 26580#c18

llvm-toolchain-7 (1:7.0.1-4) unstable; urgency=medium

   * New snapshot release
   * Merge changes from 7 into snapshot

llvm-toolchain-snapshot (1:8~svn346586-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Also install libOptRemarks.so
   * Merge all the recent 7 changes into snapshot
     (Closes: #913058) the co install issue with libc++ & openmp

llvm-toolchain-snapshot (1:8~svn345569-1~exp1) experimental; urgency=medium

   [ Sylvestre Ledru ]
   * Remove bat files https://bugs.llvm.org/show_bug.cgi?id=30755
   * Fix the autopkgtest script (no gcc in the test)
   * remove dep from lld to llvm-8-dev because lld
     doesn't use LLVM LTO
   * remove old Replaces/Breaks
   * Standards-Version: 4.2.1
   * Backport a fix to improve scan-build code error.
     Thanks to Roman Lebedev for the fix(Closes: #909662)
   * Remove bat files https://bugs.llvm.org/show_bug.cgi?id=30755
   * Install bash-completion for clang
   * Disable ocaml on armel
 
   [ Gianfranco Costamagna ]
   * Take option two in bug #877567 to fix FTBFS on mips and mipsel
 
   [ Sylvestre Ledru ]
   * New snapshot release

llvm-toolchain-7 (1:7.0.1-3) unstable; urgency=medium

   * Also install clang-7-dbgsym libclang1-7-dbgsym in autopkgtest
     to verify that debug symbols are present
   * Cherry-pick upstream fix D52340 to address a rustc debuginfo
     (Closes: #917209)
   * Change the jit debug path from $HOME/.debug/jit/ to
     $TMPDIR/.debug/jit/ (Closes: #916393)
   * Document in README.source some Debian/Ubuntu specific changes

llvm-toolchain-7 (1:7.0.1-2) unstable; urgency=medium

   * Enable -DENABLE_LINKER_BUILD_ID:BOOL=ON as, unlike gcc, isn't enabled
     by default in clang. Thanks to Adrian Bunk for the patch.
     Once more, thanks to Rebecca Palmer (Closes: #916975)
   * Build with -g1 also on 64bit architectures (thanks to Adrian too)

llvm-toolchain-7 (1:7.0.1-1) unstable; urgency=medium

   * New release
   * Remove the dbg workaround. Hopefully, the new version of
     binutils will fix it (Closes: #913946)

llvm-toolchain-7 (1:7.0.1~+rc3-2) unstable; urgency=medium

   * Fix llvm-config by stripping unnecessary flags
     See also https://bugs.llvm.org/show_bug.cgi?id=8220
     (Closes: #697755, #914838)
   * Try to workaround the debug issues by adding -fno-addrsig to the *FLAGS
     One more time, thanks to Rebecca Palmer (Closes: #913946)
     The goal is to provide correct debug packages.
     Workaround https://sourceware.org/bugzilla/show_bug.cgi?id=23788
   * Force the chmod +x on llvm-X/bin/* because it was sometimes removed
     by the strip process
   * Force the link to atomic also for i386 as it fails on Debian jessie too
   * Improved the debian/patches/series presentation by creating categories
   * Improve the separation between *FLAGS for gcc and clang.
     This is done for -fno-addrsig as it doesn't exit for gcc
     This can be done with the BOOTSTRAP_CMAKE_CXX_FLAGS option

llvm-toolchain-7 (1:7.0.1~+rc3-1) unstable; urgency=medium

   * New testing release
   * disable the llvm-strip as it created too big llvm lib
 
   [ John Paul Adrian Glaubitz ]
   * Add patch to add powerpcspe support to clang
   * Add patch to fix register spilling on powerpcspe
   * Add patch to optimize double parameter calling setup on powerpcspe

llvm-toolchain-7 (1:7.0.1~+rc2-8) unstable; urgency=medium

   * Use llvm-strip instead of binutils strip.
     Two reasons:
       - with clang stage2, the dbg packages were not generated
       - strip fails on stretch and other ubuntu on some archives
     For this, I had to silent the --enable-deterministic-archives
     option (https://bugs.llvm.org/show_bug.cgi?id=39789).
     Thanks to Rebecca Palmer for the idea
     (Closes: #913946)
   * Change the i386 base line to avoid using sse2 extension
     This is more important now that llvm is built with clang
     instead of gcc.
     Thanks to Fanael Linithien for the patch
     (Closes: #914770, #894840)

llvm-toolchain-7 (1:7.0.1~+rc2-7) unstable; urgency=medium

   * Bring back mips-rdhwr.diff as it isn't in rc2

llvm-toolchain-7 (1:7.0.1~+rc2-6) unstable; urgency=medium

   [ Samuel Thibault ]
   * D53557-hurd-self-exe-realpath.diff: Fix paths returned by
     llvm-config (See Bug#911817).
 
   [ Sylvestre Ledru ]
   * Fix the FTBFS on armhf for real! Thanks to Adrian Bunk
     Force the activation of FeatureVFP3 & FeatureD16

llvm-toolchain-7 (1:7.0.1~+rc2-5) unstable; urgency=medium

   [ Samuel Thibault ]
   * D54079-hurd-openmp.diff, D54338-hurd-libcxx-threads-build.diff,
     D54339-hurd-libcxx-threads-detection.diff, D54378-hurd-triple.diff,
     D54379-hurd-triple-clang.diff, D54677-hurd-path_max.diff,
     hurd-cxx-paths.diff: New patches to fix hurd build.
 
   [ Sylvestre Ledru ]
   * Remove mips-rdhwr.diff as it has been applied upstream
   * Fix a baseline violation on armhf (Closes: #914268)
     clang-arm-default-vfp3-on-armv7a.patch has been updated to disable
     neon in another place

llvm-toolchain-7 (1:7.0.1~+rc2-4) unstable; urgency=medium

   * Workaround the build issues on armhf
     Thanks to Adrian Bunk for the idea
   * Remove useless symlink /usr/include/c++ -> ../lib/llvm-7/include/c++
     (Closes: #913400)

llvm-toolchain-7 (1:7.0.1~+rc2-3) unstable; urgency=medium

   * Disable gold for sparc* (Closes: #913260)
   * Hide a symbol in openmp for mips64el
   * Try to integrate a patch to make pch reproducible
     Thanks to Rebecca Palmer for the patch
     (Closes: #877359)
   * Fix the misscompilation issue causing rustc to crash (Closes: #913271)
     Might cause some ABI issues but no real good solution.
     See https://bugs.llvm.org/show_bug.cgi?id=39427

llvm-toolchain-7 (1:7.0.1~+rc2-2) unstable; urgency=medium

   * Fix a non-break space in a patch (Closes: #913213)

llvm-toolchain-7 (1:7.0.1~+rc2-1) unstable; urgency=medium

   * Upload of 7.0.1 rc2 into unstable
   * New testing release
   * Enable the stage2 bootstrap:
     - stage1 = build clang with gcc
     - stage2 = clang building itself
     (Closes: #909234)
   * Bring back the Disable NEON generation on armhf patch which was gone
     Should fix the FTBFS on armhf
     (Closes: #842142)
   * Update the clang manpage to remove osx specific options
     and to add -arch (Closes: #743133)
   * Bring back usr/lib/@DEB_HOST_MULTIARCH@/{libiomp5.so, libomp5.so}
     symlink for gcc (Closes: #912641)

llvm-toolchain-7 (1:7.0.1~+rc2-1~exp1) experimental; urgency=medium

   * New testing release

llvm-toolchain-7 (1:7-9) unstable; urgency=medium

   * Remove the dump of cmake error file (too confusing)
   * Try to fix the bootstrap FTBFS :
     - on armel by forcing the link to -latomic
     - mips-rdhwr.diff: backport D51773 to fix an
       assembly issue on mips.
       Thanks to jrtc27 for finding the issue.

llvm-toolchain-7 (1:7-8) unstable; urgency=medium

   * Update the watch file to display the right version
     (even if the download will fail)
   * clang-7 suggests libomp-7-dev instead of libomp-dev
   * Make sure that we don't conflict openmp & libc++ with llvm-defaults's
     (Closes: #912544)
   * Handle better the non coinstability of openmp & libc++ (like we are doing
     with python-clang-*)
   * Backport upstream fix D51749 to address a rust aarch64 issues
     (Closes: #909705)
   * Add tests from old bugs to make sure they don't come back
     (Closes: #889832, #827866)
   * The sanitizers use the versioned llvm-symbolizer provided by the
     llvm-X package (Closes: #753572)

llvm-toolchain-7 (1:7-7~exp2) experimental; urgency=medium

   * clangd-atomic-cmake.patch: Link against atomic for clangd in i386
   * When the cmake configure of the stage2 is failing, dump the cmake error log
   * Declare some variables (-Wno-*) for all platforms (was failing on mips)
   * Update the watch file to display the right version
     (even if the download will fail)
   * clang-7 suggests libomp-7-dev instead of libomp-dev
   * Make sure that we don't conflict openmp & libc++ with llvm-defaults's
     (Closes: #912544)
   * Handle better the non coinstability of openmp & libc++ (like we are doing
     with python-clang-*)
   * Backport upstream fix D51749 to address a rust aarch64 issues
     (Closes: #909705)
   * Add tests from old bugs to make sure they don't come back
     (Closes: #889832, #827866)
   * The sanitizers use the versioned llvm-symbolizer provided by the
     llvm-X package (Closes: #753572)

llvm-toolchain-7 (1:7-7~exp1) experimental; urgency=medium

   * Experiment the clang bootstrap
   * Try to bootstrap clang using clang

llvm-toolchain-7 (1:7-7) unstable; urgency=medium

   [ Samuel Thibault ]
   * Apply hurd fixes (Closes: #908847).
    - hurd-lib_Support_Unix_Path.inc.diff
    - hurd-pathmax.diff
    - hurd-tools_llvm-shlib_CMakeLists.txt.diff

llvm-toolchain-7 (1:7-6) unstable; urgency=medium

   * Team upload
   * Upload to unstable

llvm-toolchain-7 (1:7-6~exp2) experimental; urgency=medium

   * Disable for now the bootstrapping clang patches

llvm-toolchain-7 (1:7-6~exp1) experimental; urgency=medium

   * Try to bootstrap (currently in a different branch)
   * Split the builds in different make target
   * Add python-pygments as dep of llvm-7-tools because
     opt-viewer.py needs it
   * Add back libomp5-X.Y.symbols.in (untested)
   * Fix the install of clang bash completion
   * Start the work on bootstraping clang
     - bootstrap-with-openmp-version-export-missing.diff: fix a link issue
       https://bugs.llvm.org/show_bug.cgi?id=39200
     - bootstrap-fix-include-next.diff: Fix an include issue at bootstrap phase
       https://bugs.llvm.org/show_bug.cgi?id=39162
 
   [ Gianfranco Costamagna ]
   * Take option two in bug #877567 to fix FTBFS on mips and mipsel

llvm-toolchain-7 (1:7-5) unstable; urgency=medium

   * In debci, run qualify-clang.sh in verbose mode
   * Only run the g++ test if g++ exist
 
   [ Reshabh Sharma ]
   * Run check-openmp to test OpenMP

llvm-toolchain-7 (1:7-4) unstable; urgency=medium

   * Backport a fix to improve scan-build code error.
     Thanks to Roman Lebedev for the fix(Closes: #909662)
   * Remove bat files https://bugs.llvm.org/show_bug.cgi?id=30755
   * Install bash-completion for clang
   * Disable ocaml on armel

llvm-toolchain-7 (1:7-3) unstable; urgency=medium

   * Fix a syntax issue in a scan-build patch
   * Fix the autopkgtest script (no gcc in the test)
   * remove dep from lld to llvm-7-dev because lld
     doesn't use LLVM LTO
   * remove old Replaces/Breaks
   * Standards-Version: 4.2.1

llvm-toolchain-7 (1:7-2) unstable; urgency=medium

   * Fix the ftbfs under armel on libc++ and enable openmp on armel.
     Thanks to Adrian Bunk for the patch
   * Make libc++, libc++abi & openmp NOT co-installable
     Rational: the benefits are limited compared to the drawback.
     We should have issues like:
        - built with libc++-8-dev
        - run with libc++1-7
     (Closes: #903802)
   * Remove circular dependency by removing python-lldb-7: Depends: liblldb-7-dev
     (Closes: #888889)

llvm-toolchain-snapshot (1:8~svn342269-1) unstable; urgency=medium

   [ Sylvestre Ledru ]
   * libc++-8-dev doesn't provide libstdc++-dev anymore (Closes: #908738)
   * Build llvm using -DLLVM_USE_PERF=yes (Closes: #908707)
   * Only rename libomp when openmp is built
 
   [ Gianfranco Costamagna ]
   * Force polly cmake removal on arch:all because of --fail-missing
 
   [ Reshabh Sharma ]
   * Make OpenMP packages coinstallable from version 7
   * Make libc++ packages coinstallable from version 7
 
   [ John Paul Adrian Glaubitz ]
   * Add patch to fix missing MultiArch include dir
     on powerpcspe (Closes: #908791)
   * Disable LLDB on riscv64
   * Fix inverted logic in ifeq statement for POLLY_ENABLE
     and OPENMP_ENABLE (Closes: #908646)
   * Disable OpenMP on unsupported architecture x32
   * Add patch to fix missing include and library paths on x32
 
   [ Gianfranco Costamagna ]
   * Install polly only on arch:all packages
   * Drop gnustep and gnustep-devel suggestions (Closes: #902847)
   * Enable polly on s390x
   * Disable omp on armel mips and mipsel for now

llvm-toolchain-snapshot (1:8~svn340819-1) unstable; urgency=medium

   * New snapshot release
   * Force sphinx to be >> 1.2.3
   * also ignore libc++experimental.a on dh_strip (fails on stretch)
   * Make libc++-8-dev & libc++abi-8-dev coinstallable
   * Remove libtool flex, bison, dejagnu, tcl, expect,
     and perl from the build deps (testing)
   * Disable force-gcc-header-obj.diff as it is introducing
     some regressions in the search headers
     (Closes: #903709)
   * branching to version 8
     - New symbols in libclang:
       clang_Cursor_getObjCPropertyGetterName
       clang_Cursor_getObjCPropertySetterName
       clang_Type_getModifiedType
       clang_Type_getNullability
       clang_Type_getNumObjCProtocolRefs
       clang_Type_getNumObjCTypeArgs
       clang_Type_getObjCObjectBaseType
       clang_Type_getObjCProtocolDecl
       clang_Type_getObjCTypeArg
   * python-recommonmark is a new build dep for the sphinx doc
   * dh_strip should be verbose
   * On Stretch (binutils 2.28), do not run strip on libFuzzer.a, libc++.a
     & libc++abi.a because it segfaults
   * Fixed "weak-library-dev-dependency libc++-7-dev on libc++-7-helpers"
   * Fixed "libomp5-7: shlibs-declares-dependency-on-other-package
            libomp5-7) (>= 1:7~svn298832-1~)"
   * Also use the local cmake binary if available (for trusty)
     and take in account the PRE_PROCESS_CONF option
   * Try to fix a FTBFS on jessie with openmp
 
   [ Gianfranco Costamagna ]
   * Add liblldb-8-dev to python-lldb runtime dependencies, needed to import it
   * Enable lld on arm64, mips64el
   * Enable lldb on mips64el
   * Enable lld on ppc64el
 
   [ John Paul Adrian Glaubitz ]
   * Don't build with ld.gold on powerpcspe
   * Disable polly on powerpcspe
   * Add upstream patch to make rustc build on powerpc
 
   [ Reshabh Sharma ]
   * Integrate opemp as part of the llvm-toolchain packages (Closes: #813672)
     As part of this work, the transition libiomp packages have been removed.

llvm-toolchain-7 (1:7.1.0~svn353565-1~exp1) UNRELEASED; urgency=medium

   * New stable release.
     To be clear, this is the same as release 7.0.1
     To be ABI compliant in Debian between 7 and 7.0.1,
     I took the pr39427-misscompile.diff.
     7.1.0 is an official release for downstream users to bring
     back the ABI comptability.
     I am uploading this new version in the archive to:
     - avoid question like "why we don't have 7.1.0 in the archive?"
     - align with upstream
     - clearly show that we kept the ABI
     Upstream decided to rename the library from 7 to 7.1.0
     As I kept the ABI, I reverted the patches (debian/patches/7.1.0/*)
     More info on https://bugs.llvm.org/show_bug.cgi?id=39427
     and https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=913271

llvm-toolchain-7 (1:7.0.1-7) unstable; urgency=medium

   * kfreebsd/kfreebsd-triple-clang.diff: update of the patch to fix
     the kfreebsd FTBFS  (Closes: #921246)
   * Enable ld gold for kfreebsd-amd64 and kfreebsd-i386
     Many thanks to Svante Signell for the two updates

llvm-toolchain-7 (1:7.0.1-6) unstable; urgency=medium

   * Add support for kfreebsd (Closes: #921246)
     Many thanks to Svante Signell for all patches

llvm-toolchain-7 (1:7.0.1-5) unstable; urgency=medium

   * Add 'Rules-Requires-Root: no' in debian/control
   * llvm-7-examples: Force the same version of llvm-7-dev to mitigate
     a debci issue
     https://ci.debian.net/data/autopkgtest/unstable/amd64/l/llvm-toolchain-7/1635547/log.gz
   * Add 'Rules-Requires-Root: no' in debian/control
   * Because more and more tools in clang-tools are in python, add
     the dependency

llvm-toolchain-7 (1:7.0.1-4) unstable; urgency=medium

   * On old Debian/Ubuntu, run dh_strip using fakeroot to mitigate
     a permission issue
 
   [ Gianfranco Costamagna ]
   * Ignore a test result on i386, due to upstream bug 26580#c18
 
   * Stable release
   * Also manages clang-X as tool for scan-build
     see https://reviews.llvm.org/D52151

llvm-toolchain-7 (1:7~+rc3-5) unstable; urgency=medium

   [ John Paul Adrian Glaubitz ]
   * Add patch to fix missing include and library paths on x32
 
   [ Sylvestre Ledru ]
   * Only rename libomp when openmp is built

llvm-toolchain-7 (1:7~+rc3-4) unstable; urgency=medium

   [ Sylvestre Ledru ]
   * libc++-7-dev doesn't provide libstdc++-dev anymore (Closes: #908738)
 
   [ Gianfranco Costamagna ]
   * Force polly cmake removal on arch:all because of --fail-missing
 
   [ Reshabh Sharma ]
   * Make OpenMP packages coinstallable from version 7
   * Make libc++ packages coinstallable from version 7
 
   [ John Paul Adrian Glaubitz ]
   * Add patch to fix missing MultiArch include dir
     on powerpcspe (Closes: #908791)
   * Disable LLDB on riscv64

llvm-toolchain-7 (1:7~+rc3-3) unstable; urgency=medium

   [ John Paul Adrian Glaubitz ]
   * Disable OpenMP on unsupported architecture x32
 
   [ Sylvestre Ledru ]
   * Build llvm using -DLLVM_USE_PERF=yes (Closes: #908707)
 
   [ Gianfranco Costamagna ]
   * Install polly only on arch:all packages

llvm-toolchain-7 (1:7~+rc3-2) unstable; urgency=medium

   [ John Paul Adrian Glaubitz ]
   * Fix inverted logic in ifeq statement for POLLY_ENABLE
     and OPENMP_ENABLE (Closes: #908646)
 
   [ Gianfranco Costamagna ]
   * Drop gnustep and gnustep-devel suggestions (Closes: #902847)
   * Enable polly on s390x
   * Disable omp on armel mips and mipsel for now

llvm-toolchain-7 (1:7~+rc3-1) unstable; urgency=medium

   [ John Paul Adrian Glaubitz ]
   * Disable OpenMP on unsupported architectures powerpc,
     powerpcspe, riscv64 and sparc64 (Closes: #907912)
 
   [ Sylvestre Ledru ]
   * New snapshot release

llvm-toolchain-7 (1:7~+rc2-1~exp3) experimental; urgency=medium

   * Remove libtool flex, bison, dejagnu, tcl, expect,
     and perl from the build deps (testing)
   * Disable force-gcc-header-obj.diff as it is introducing
     some regressions in the search headers
     (Closes: #903709)
 
   [ Gianfranco Costamagna ]
   * Fix build on armhf, by removing some installed package
   * Fix build on s390x, by disabling OpenMP
   * Add liblldb-7-dev to python-lldb runtime dependencies, needed to import it
   * Enable lld on arm64, mips64el
   * Enable lldb on mips64el
 
   [ Reshabh Sharma ]
   * Add version for libc++ and OpenMP packages breaks/replaces
   * Remove libc++-helpers package
     - No real value
     - Just two scripts
     - Command line arguments aren't that complex
   * Fix autopkgtest support

llvm-toolchain-7 (1:7~+rc2-1~exp2) experimental; urgency=medium

   * Force sphinx to be >> 1.2.3
   * Also ignore libc++experimental.a on dh_strip (fails on stretch)
   * Make libc++-7-dev & libc++abi-7-dev coinstallable
 
   [ John Paul Adrian Glaubitz ]
   * Don't build with ld.gold on powerpcspe
   * Disable polly on powerpcspe
   * Add upstream patch to make rustc build on powerpc
 
   [ Gianfranco Costamagna ]
   * Enable lld on ppc64el

llvm-toolchain-7 (1:7~+rc2-1~exp1) experimental; urgency=medium

   * New snapshot release
   * dh_strip should be verbose
   * On Stretch (binutils 2.28), do not run strip on libFuzzer.a, libc++.a
     & libc++abi.a because it segfaults
   * Fixed "weak-library-dev-dependency libc++-7-dev on libc++-7-helpers"
   * Fixed "libomp5-7: shlibs-declares-dependency-on-other-package
            libomp5-7) (>= 1:7~svn298832-1~)"
   * Also use the local cmake binary if available (for trusty)
     and take in account the PRE_PROCESS_CONF option
 
   [ Reshabh Sharma ]
   * Fixed "Lintian warnings for libc++abi-7-dev package"
     - Warning: libc++abi-7-dev: breaks-without-version libc++-dev
     - Warning: libc++abi-7-dev: breaks-without-version libc++abi-dev
     - Warning: llvm-toolchain-7 source: binaries-have-file-conflict
       libc++abi-7-dev libc++abi1-7 usr/lib/llvm-7/lib/libc++abi.so

llvm-toolchain-7 (1:7~+rc1-1~exp2) experimental; urgency=medium

   * Disable force-gcc-header-obj.diff as it is introducing
     some regressions in the search headers
     (Closes: #903709)
   * libc++-7-dev should depend on libc++-7-helpers (and not
     libc++-helpers)
   * Fix the links in the helper package
 
   [ Reshabh Sharma ]
   * Fix the path to libc++ header
   * libc++.so was in two packages

llvm-toolchain-7 (1:7~+rc1-1~exp1) experimental; urgency=medium

   * First testing release of 7
     - Rename packages
     - Update the VCS-* URL
   * Standards-Version to 4.2.0
 
   [ Dimitri John Ledkov ]
   * Enable lldb on ppc64el LP: #1777136
 
   [ Reshabh Sharma ]
   * Integrate libcxx and libcxxabi as part of the llvm-toolchain packages
     Very similar to the previous packages
     except that libc++abi-7-test & libc++-7-test are no longer shipped
     Outcome of the LLVM GSoC 2018
     (Closes: #813673)

llvm-toolchain-snapshot (1:7~svn336894-1~exp1) experimental; urgency=medium

   [ Reshabh Sharma ]
   * Integrate opemp as part of the llvm-toolchain packages (Closes: #813672)
     As part of this work, the transition libiomp packages have been removed.
 
   [ Sylvestre Ledru ]
   Bravo to Reshabh Sharma for his work
   * Also ship diagtool in clang-tools-X
   * Also ship hmaptool in clang-tools-X
   * Enable WebAssembly & AVR as experimental archs (Closes: #899202)
   * d/p/force-gcc-header-obj.diff Fix the detection of the objc path
   * clang_getCompletionFixIt, clang_getCompletionNumFixIts & getTokenclang
     added as new symbols of libclang1
   * Fix the version with snapshot packages
     Fixes upstream issue https://bugs.llvm.org/show_bug.cgi?id=37729
 
   [ Gianfranco Costamagna ]
   * Bump std-version to 4.1.5, no changes required
 
   [ Reshabh Sharma ]
   * Updated debian/control with breaks, provides and conflicts for OpenMP
     packages (Closes: #903802)

llvm-toolchain-snapshot (1:7~svn330801-1~exp2) experimental; urgency=medium

   * d/p/force-gcc-header-obj.diff Fix the detection of the objc path
   * Add python-yaml as dep for clang-tidy (Closes: #890514)
   * d/p/impl-path-hurd.diff: Try to fix an issue with hurd
 
   [ Peter Wu ]
   * Make CMake find_package(Clang) work. Fixes upstream bug
     https://bugs.llvm.org/show_bug.cgi?id=37128
     - Move Clang*.cmake back to /usr/lib/llvm-X.Y/lib/cmake/clang and install a
       symlink in /usr/lib/cmake/clang-X.Y.
     - Ensure that the LLVM installation prefix is correctly discovered despire
       symlinks (replaces fix-cmake-config-prefix.diff).
     - Create /usr/lib/llvm-X.Y/bin/clang-X.Y symlink as required by
       ClangTargets-relwithdebinfo.cmake.
     - Remove useless LLVM_CMAKE_DIR sed command that did not match anything.
     - Ignore missing binaries in ClangTargets-relwithdebinfo.cmake.

llvm-toolchain-6.0 (1:6.0.1~+rc1-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Fix a typo in the debci

llvm-toolchain-6.0 (1:6.0-3) unstable; urgency=medium

   * Remove sysconf_interceptor_bypass_test.cc because it makes
     Debian unstable and Ubuntu bionic freeze
   * Remove the info text from the manpages (Closes: #894734)
   * Remove a bunch of old unused patches
   * Fix debian-watch-uses-insecure-uri as upstream has now https
   * Standards-Version updated to 4.1.3
   * llvm-dsymutil has been renamed to dsymutil
   * Remove sysconf_interceptor_bypass_test.cc because it makes
     Debian unstable and Ubuntu bionic freeze
   * library-binary-filename.diff removed (applied upstream)
   * Add clang_File_tryGetRealPathName as new symbol in libclang
 
   [ Reshabh Sharma ]
   * Enable autopkgtest for amd64 & i386 on the llvm test suite
     (Closes: #774294)
 
   [ Nicholas D Steeves ]
   * Fix the lintian error 'privacy-breach-uses-embedded-file'
     (Closes: #829361)
 
   [ Athos Ribeiro ]
   * Create symlink to run-clang-tidy-X.Y.py to remove its .py extension
     (Closes: #892089)
 
   [ David Tenty ]
   * Migrate to automatic debug packages (Closes: #893267)
 
   [ Sylvestre Ledru ]
   * New snapshot release

llvm-toolchain-snapshot (1:7~svn327768-1) unstable; urgency=medium

   * New snapshot release
   * create the directory for the mips stuff
   * Fail the build when new symbols are added
   * 5 new symbols:
     - clang_PrintingPolicy_dispose
     - clang_PrintingPolicy_getProperty
     - clang_PrintingPolicy_setProperty
     - clang_getCursorPrettyPrinted
     - clang_getCursorPrintingPolicy
   * Use upstream ld.lld manpage instead of help2man
   * Move the VCS to git.
     Many thanks to James Clarke for doing the conversion
   * Create the directory before having the manpages generated
   * clang-tidy-7 also depends on clang-tools-7 for, at least
     clang-apply-replacements
   * Automatically update the debian/README
   * clang-tidy-7: depends on libclang-common-7-dev
     (Closes: #891999)
 
   [ James Clarke ]
   * Disable LLDB on powerpcspe

llvm-toolchain-snapshot (1:7~svn323616-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Fix llvm-config with the change of versioning (Closes: #888592)
   * Update the creation of the README to unbreak the mips* FTBFS
   * Update of the clang-tools-X.Y description
   * ignore source: source-is-missing lldb/unittests/

llvm-toolchain-snapshot (1:7~svn322880-1) unstable; urgency=medium

   * Change the versioning from X.Y to X as upstream is using
     X.Y.Z and X
     I am keeping the epoch because it would be too complex to manage
     with the various updates scenario
   * Two new symbols in libclang
     - clang_getFileContents
     - clang_isInvalidDeclaration
   * Fix the VCS-* tags

llvm-toolchain-6.0 (1:6.0.1-11) unstable; urgency=medium

   * Remove 'Multi-Arch: same' in libclang
     (Closes: #874248)
   * Cherry-pick various llvm fixes for Julia
     (Closes: #919628)

llvm-toolchain-6.0 (1:6.0.1-10) unstable; urgency=medium

   * Fix a baseline violation on armhf (Closes: #914268)
     Thanks to Adrian Bunk
     doing that for the Julia package.
 
   [ John Paul Adrian Glaubitz ]
   * Add patch to fix missing include and library paths on x32

llvm-toolchain-6.0 (1:6.0.1-9.2) unstable; urgency=medium

   * Non-maintainer upload.
   * debian/patches/D53557-hurd-self-exe-realpath.diff: Fix paths returned by
     llvm-config (Closes: Bug#911817).

llvm-toolchain-6.0 (1:6.0.1-9.1) unstable; urgency=medium

   * Non-maintainer upload.
   * Apply hurd fixes (Closes: #908847).
     - hurd-lib_Support_Unix_Path.inc.diff
     - hurd-pathmax.diff
     - hurd-tools_llvm-shlib_CMakeLists.txt.diff

llvm-toolchain-6.0 (1:6.0.1-8) unstable; urgency=medium

   [ John Paul Adrian Glaubitz ]
   * Fix inverted logic in ifeq statement for POLLY_ENABLE (Closes: #908646)
 
   [ Gianfranco Costamagna ]
   * Fixup the polly installation failure where polly is not built
   * Add s390x to polly architectures
   * Fix typo in rules file
 
   [ Sylvestre Ledru ]
   * Disable sse2 on pentium4 arch (Closes: #632472)

2017

llvm-toolchain-snapshot (1:6.0~svn321385-1) unstable; urgency=medium

   * Snapshot upload before rc1 (January)
   * Create clang-tools-6.0 and move the various clang tools into it
     clang-tools-6.0 depends on clang-6.0. This might affect some packages.
     (Closes: #836397)
   * Bring back the libedit support in lldb
     Fix upstream bug https://bugs.llvm.org/show_bug.cgi?id=35291
   * Also ship ld64.lld and wasm-ld in the lld-X.Y package
   * Update d/rules to reflect the move of libfuzzer into compiler-rt
   * Update of the copyright file (Closes: #878502)
     Thanks to Nicholas D Steeves for the work
   * Try to fix the mipsel FTBFS (Closes: #877567)
     I am trying the first option from the bug:
     - gsplit-dward on 32 bits archs
     - -g everywhere
     Many thanks to Adrian Bunk for that
   * Use ?= for some variables declarations
   * Remove the hardcoded declarations of llvm version in debian/rules
   * add /usr/lib/cuda to the CUDA toolkit search paths
     Thanks to Andreas Beckmann for the patch (Closes: #882505) (LP: #1706326)
   * Fix the fix-scan-view-path.diff path
   * Move libomp-dev from Suggests to Recommends (Closes: #882781)
   * Add a symlink to fix lldb-X.Y (Closes: #881993)
   * Remove update-cuda-search-path.patch (applied upstream)
   * Also install usr/bin/lldb-test-6.0
   * liblld-6.0-dev depends on liblld-6.0 (Closes: #856545)
   * Add new symbols for libclang1:
     - clang_CXIndex_setInvocationEmissionPathOption
     - clang_CXXRecord_isAbstract
     - clang_Cursor_getObjCManglings
     - clang_getCursorTLSKind
   * add test-keep-alive.diff to improve the keep alive for some
     archs like mips*
   * Standards-Version: 4.1.1
   * remove liblld-6.0-dbg for now

llvm-toolchain-snapshot (1:6.0~svn315736-1) unstable; urgency=medium

   * New snapshot
   * Ship liblldMinGW lld lib
   * Ship clang-refactor & clang-func-mapping in clang-X.Y
   * Remove the -Wl option to call gold instead of the normal linker
     (Closes: #876787)
   * Force the deactivation of ocaml until the transition is done
   * Standards Version 4.1.0
 
   [ Gianfranco Costamagna ]
   * Enable ocaml on release architectures.
   * Add NDEBUG flag, lost in the -g -> -g1 switch
 
   [ Matthias Klose ]
   * Link with --no-keep-files-mapped --no-map-whole-files when using gold.
   * build using gold on arm64 and s390x. For backports, arm64 might still
     need the BFD linker, and building with only one or two processes in
     parallel.
   * On amd64, s390x, arm64 and ppc64el, build with -g1 instead of -g.
   * Set CMAKE_CXX_FLAGS_RELWITHDEBINFO and pass opt_flags.

llvm-toolchain-snapshot (1:6.0~svn311834-2) unstable; urgency=medium

   * Fix the FTBFS because of -gsplit-dwarf:
     - Only enable it on archs which needs it
     - Only enable it when gcc supports it correctly
   * Fail the build if the arch + gcc has a broken gsplit-dwarf support

llvm-toolchain-snapshot (1:6.0~svn311834-1) unstable; urgency=medium

   * Link LLDB with -latomic on powerpcspe (Closes: #872267)
   * Fix the C++ include path order (Closes: #859083)
   * Disable -gsplit-dwarf when using gcc 7 for causing a linking issue
     See https://bugs.llvm.org/show_bug.cgi?id=34140
     (Closes: #853525)
   * clang was producing unusable binaries on armv5tel (Closes: #873307)
     Thanks to Adrian Bunk for the patch
   * With Ubuntu Trusty (for apt.llvm.org), the build fails
     on internal compiler error: in output_index_string, at dwarf2out.c:218
     force the usage of gcc 4.9

llvm-toolchain-snapshot (1:6.0~svn310776-1) unstable; urgency=medium

   * We moved from 5.0 to 6.0
   * Ship the opt-viewer new program as part of llvm-6.0 tools
   * ld.lld manpage wasn't installed
   * Disable the clang-fix-cmpxchg8-detection-on-i386.patch patch
     because breaks the build with
     'error: 'isCmpXChg8Supported' was not declared in this scope'
   * Remove usr/bin/liblldb-intel-mpxtable.so-6.0 as it seems to be removed
     from usptream
   * Force the usage of gcc 6 until the link issues with gcc 7 are fixed
     https://bugs.llvm.org/show_bug.cgi?id=34140
 
   [ Katsuhiko Nishimra ]
   * Ensure /usr/bin/g++-$(GCC_VERSION) exists (Closes: #871591)

llvm-toolchain-snapshot (1:5.0~svn305653-1) unstable; urgency=medium

   [ Gianfranco Costamagna ]
   * Re-add clang-doc documentation
 
   [ Sylvestre Ledru ]
   * New snapshot release
   * Fix a hurd PATH_MAX issue
   * Transform the lldb swig check from a error to a warning
   * Add libomp-dev to the suggests of clang
   * Add Provides on python-lldb-x.y & python-clang-x.y & libllvm-x.y-ocaml-dev
     to avoid the recurring problem about conflicts
     (Closes: #835546, #863739, #863742)
   * Standards-Version => 4.0.0
   * Generate the llvm-tblgen, clang-change-namespace, clang-offload-bundler
     lld, clang++, clang-check, clang-cpp & clang-import-test manpages
   * Remove the --no-discard-stderr option from help2man calls
   * use -DPOLLY_BUNDLED_JSONCPP=OFF & add pkg-config as a dep (to help find
     the files)

llvm-toolchain-snapshot (1:5.0~svn302368-1~exp1) experimental; urgency=medium

   * Only enable libfuzzer for Linux kernel.
     Thanks to Pino Toscano for the patch
   * Add option -DPOLLY_BUNDLED_JSONCPP=ON
     to use the system lib instead of the patch d/p/use-deb-json.diff
   * New symbols added in libclang
      - clang_EvalResult_getAsLongLong
      - clang_EvalResult_getAsUnsigned
      - clang_EvalResult_isUnsignedInt
      - clang_TargetInfo_dispose
      - clang_TargetInfo_getPointerWidth
      - clang_TargetInfo_getTriple
      - clang_Type_isTransparentTagTypedef
      - clang_getAllSkippedRanges
      - clang_getTranslationUnitTargetInfo

llvm-toolchain-snapshot (1:5.0~svn298899-1) unstable; urgency=medium

   * Limit the archs where the ocaml binding is built
     Should fix the FTBFS
     Currently amd64 arm64 armel armhf i386
   * d/p/add_symbols_versioning.patch removed (applied upstream)
   * Really fix "use versioned symbols" for llvm
     Thanks to Julien Cristau for the patch (Closes: #849098)
   * Explicit the dep of clang-tidy on same version of llvm to avoid
     undefined symbols
   * Add override_dh_makeshlibs for the libllvm or liblldb versions
     Thanks to Julien Cristau for the patch
   * change the min version of the libclang1 symbols to 1:4.0-3~
   * Fix the symlink on scan-build-py
   * add libncurses in the list of build deps (Closes: #861170)
 
   [ Rebecca N. Palmer ]
   * Use versioned symbols (Closes: #848368)

llvm-toolchain-snapshot (1:5.0~svn294583-1~exp1) experimental; urgency=medium

   * New snapshot release
   * New library liblldb-intel-mpxtable.so
   * Fix the incorrect symlink to scan-build-py (Closes: #856869)
   * Explicit the dep of clang-format on same version of llvm to avoid
     undefined symbols

llvm-toolchain-snapshot (1:5.0~svn292017-1~exp1) experimental; urgency=medium

   * New snapshot release
     snapshot is now 5.0
   * d/p/silent-amdgpu-test-failing.diff silent amdgpu tests failing
     (see upstream bug 31610)
   * d/p/lldb-server-link-issue.patch removed, merged upstream
   * Also install python-lldb-5.0 when installing lldb-5.0 (Closes: #851171)
   * Bring back the content of llvm-5.0-doc (Closes: #844616)
   * Bring back the content of llvm-4.0-doc (Closes: #844616)
   * d/p/pthread-link.diff Hardcode like to pthread which was missing for
     libclang

llvm-toolchain-snapshot (1:4.0~svn291344-1) unstable; urgency=medium

   * New snapshot release
   * Disable libedit usage in lldb because of garbage (Closes: #846616, #850111)
   * Build lld
     - d/p/lld-arg-cmake-issue.diff fixes upstream bug #27685
   * ship clang-tblgen
   * Run clang extra test suite
   * Fix the detection of lldb-server
   * Fix the run of the check-lldb target

llvm-toolchain-snapshot (1:4.0~svn290810-1) unstable; urgency=medium

   * New snapshot release
   * d/p/kfreebsd-support.diff removed (applied upstream)
   * debian/orig-tar.sh: less verbose
   * d/p/lldb-missing-install.diff: For the install
     of lldb-server and lldb-argdumper as they are not always installed
   * Ship new binary in clang-X.Y: clang-import-test
   * New symbols in libclang1:
     - clang_EvalResult_getAsLongLong
     - clang_EvalResult_getAsLongLong
     - clang_EvalResult_isUnsignedInt
   * Fix a regression in the test run for the code coverage
   * Silent ThinLTO/X86/autoupgrade.ll, fails with code coverage (and maybe others)

2016

llvm-toolchain-snapshot (1:4.0~svn286225-1) unstable; urgency=medium

   * New snapshot release
   * Remove the info section from the generated manpages (Closes: #846269)
 
   [ Kai Wasserbäch ]
   * debian/patches/{0003-Debian-version-info-and-bugreport.patch,
     0044-soname.diff,23-strlcpy_strlcat_warning_removed.diff,
     26-set-correct-float-abi.diff,atomic_library_[12].diff,
     fix-clang-path-and-build.diff,fix-lldb-server-build,lldb-libname.diff,
     lldb-soname.diff,mips-fpxx-enable.diff,removeduplicatedeclaration.diff}:
     Refreshed.
   * debian/patches/{silent-gold-utils,kfreebsd-support}.diff: Updated.

llvm-toolchain-snapshot (1:4.0~svn282142-1~exp1) experimental; urgency=medium

   * The libstdc++-6-dev & libobjc-6-dev are only install with clang-X.Y
     and libclang-X.Y-dev and no longer with libclang1-X.Y
     (Closes: #841309)
   * Fix the VCS-* fields
 
   [ Kai Wasserbäch ]
   * debian/patches/{23-strlcpy_strlcat_warning_removed.diff,
     0003-Debian-version-info-and-bugreport.patch, atomic_library_[12].diff,
     python-clangpath.diff,removeduplicatedeclaration.diff,
     fix-clang-path-and-build.diff,mips-fpxx-enable.diff}: Refreshed.
   * debian/patches/{silent-more-tests.diff,silent-MCJIIT-tests.diff}: Updated.

llvm-toolchain-3.9 (1:3.9-6) unstable; urgency=medium

   * Fix segfaults in the memory sanitizers (Closes: #842642)
     Caused by the newer glibc. Many thanks for Nobert Lange for everything
   * Enable the sanitizers testsuite

llvm-toolchain-3.9 (1:3.9-5) unstable; urgency=medium

   * d/p/0011-SimplifyCFG-Hoisting-invalidates-metadata.patch: Also apply bug 29163
     to fix some issues in rust (Closes: #842956)
     Many thanks to Ximin Luo for the investigation
 
   * libclang-common-4.0-dev: missing multilib binaries for the sanitizer
     libraries (Closes: #841923)
     Many thanks to Norbert Lange for the changes
 
   [ Pauli ]
   * d/p/clang-fix-cmpxchg8-detection-on-i386.patch:
     libcxx atomic tests for old i386 fail with wrong Atomic inline width.
     Needed for libc++
     (See https://llvm.org/bugs/show_bug.cgi?id=19355)
   * d/p lldb-addversion-suffix-to-llvm-server-exec.patch:
     Fix the lldb-server call in some cases

llvm-toolchain-3.9 (1:3.9-4) unstable; urgency=medium

   * LLVMConfig.cmake was installed into wrong location
     Install a symlink from lib/cmake/llvm to share/llvm/cmake
     (Closes: #839234)
   * Fix a path issue in scan-view. Thanks Riccardo Magliocchetti
     (Closes: #838572)

llvm-toolchain-3.9 (1:3.9-3) unstable; urgency=medium

   [ Sylvestre Ledru ]
   * The libstdc++-6-dev & libobjc-6-dev are only install with clang-X.Y
     and libclang-X.Y-dev and no longer with libclang1-X.Y
     (Closes: #841309)
 
   [ Gianfranco Costamagna ]
   * Team upload
   * d/p/drop-wrong-hack-arm64.patch:
     - drop hack that was preventing the package from building on
       non-amd64 64bit architectures:

llvm-toolchain-snapshot (1:4.0~svn280796-1~exp1) experimental; urgency=medium

   * Merge clang-include-fixer-4.0 into clang-4.0. Don't think
     it deserves it own package
   * python-lldb-4.0 archs "any" to a list like others pkg
   * Fix a version issue with run-clang-tidy-4.0.py
   * Also install clang-change-namespace-4.0
 
   [ Kai Wasserbäch ]
   * debian/clang-X.Y.install.in: Added clang-cpp.
   * debian/patches: Refreshed.

llvm-toolchain-3.9 (1:3.9-1) unstable; urgency=medium

   * New stable release
   * Port to kfreebsd. Many thanks to Pino Toscano
     (Closes: #835665)
   * clang_getAllSkippedRanges in the list of libclang1 symbols
   * Try to disable the execution of the testsuite for scan-build & coverity
     for real
   * Also ship clang-reorder-fields as part of the clang-4.0 package
   * Build lldb on arm64. Hopefully, works.
   * New snapshot release
   * Tentative fix for lldb-server build

llvm-toolchain-snapshot (1:4.0~svn279916-1) unstable; urgency=medium

   * Snapshot is now 4.0
   * Introduce clang-include-fixer-4.0
   * Fix the usage of jsoncpp in polly. Thanks to James Clarke for the patch
     (Closes: #835607)
   * Fix the renaming of the manpages (Closes: #834077)
   * Use the manpage from clang.rst instead of help2man
   * Disable the build of lldb on mips64el, ppc64 and s390x for real
   * Add symlink from ./build to ../share and ../lib etc
     Thanks to Ximin Luo for the patch (Closes: #834144)
   * Sync the 3.9 changes into 4.0
   * Fix the cmake paths in llvm-4.0-dev deb package. Thanks to Brad King
     for the patch (Closes: #819072)
   * Bring back the lto (gone with the cmake migration)
     (Closes: #819333) (upstream: #27223)
   * LLVMConfig.cmake is now installed to <prefix>/lib/cmake/llvm instead of
     <prefix>/share/llvm/cmake
     Thanks to Brad King of the fix
   * Disable lldb on sparc64 (Closes: #832371)
   * Also install clang-rename.el & clang-rename.py in clang-4.0
   * scan-build llvm results are built using --show-description
   * Generate manpages for lli, lldb-mi & git-clang-format
   * Fix some lintian overrides
   * Generate more manpages
   * Remove some garbage from the manpages (Closes: #815991, #804347)
   * Disable -gsplit-dwarf on Ubuntu precise
   * Update the coverity configuration (Debian has moved to gcc 6)
   * remove compiler-rt-path.diff (file removed upstream, probably because
     we moved to cmake)
   * Ship clang-offload-bundler in clang 4.0
   * Set the correct Conflicts for python-clang-4.0, python-lldb-4.0
     (Closes: #832410)

llvm-toolchain-snapshot (1:4.0~svn275970-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Bring back llvm-4.0-tools to life
   * ship clang-tblgen & yaml-bench as part of the libclang-common-X.Y-dev
     package
 
   * amd64 llvm testsuite is green, bring back the failure in case of error
   * Fix the cmake paths in llvm-3.9-dev deb package. Thanks to Brad King
     for the patch (Closes: #819072)

llvm-toolchain-3.9 (1:3.9~svn275918-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Silent test CodeGen/SPARC/LeonInsertNOPsDoublePrecision.ll
   * ship lli-child-target as part of the llvm-X.Y-runtime package
   * Bring back llvm-3.9-tools to life
   * ship clang-tblgen & yaml-bench as part of the libclang-common-X.Y-dev
     package
   * ship lli-child-target as part of the llvm-X.Y-runtime package

llvm-toolchain-snapshot (1:3.9~svn274438-1) unstable; urgency=medium

   * Remove the autoconf section
   * Bring back the removal of the build dir
   * Fix the coverage builds (didn't allow several cflags)
   * Set the correct conflicts on python-lldb-3.8 (Closes: #817873)
   * Set the correct conflicts on python-clang-3.8 (Closes: #817872)
   * remove llvm26003-sanitizer-check-env.diff (merged upstream)
   * Do not fail the build if the manpages cannot be built (failing on
     Ubuntu precise)
   * Install libfindAllSymbols.a as part of libclang-X.Y-dev
   * Ship scan-build-py
   * Use the libjsoncpp library embedded (fails to link otherwise)
   * Standards-Version 3.9.8
   * cmake files moved from usr/lib/llvm-3.9/share/llvm/cmake/
     to usr/lib/llvm-3.9/lib/cmake/llvm/
     (upstream change)
   * Add a symlink from usr/lib/llvm-3.9/share/llvm/cmake
     pointing to usr/share/llvm-3.9/cmake
   * Disable the run of lldb testsuite because of LLVM_LINK_LLVM_DYLIB=ON:
     https://llvm.org/bugs/show_bug.cgi?id=28127
   * Add -gsplit-dwarf to CXXFLAGS to workaround the memory allocation
     issue on i386
   * Ignore the lintian override about embedded-library for json.
     Doesn't link otherwise
   * Fix the soname of libclang and libLLVM. Might cause some breakage with
     existing app but no choice...
 
   [ Pablo Oliveira ]
   * Add python-six as a dependency of python-lldb (Closes: #825371)
     (thanks to Askar Safin)
   * Fix lldb symlinks
   * Fix missing _lldb.so import during lldb testsuite
 
   [ Ed Schouten ]
   * Preparation of the support of lld (not ready yet)
 
   [ Kai Wasserbäch ]
     * debian/rules:
       - Ensure ld-gold is used. CMake invokes the linker through g++ most of the
         time, therefore we need to set -Wl,-fuse-ld=gold.
       - Remove unused variable "confargs".
 
   [ Brad King ]
   * Install cmake files in usr/share/llvm-@LLVM_VERSION@/cmake/ instead of
     usr/share/llvm-@LLVM_VERSION@/cmake/
   * Also install libLLVM-3.8.so.1 as a symlink
   * debian/patches/fix-cmake-config-prefix.diff:
     cover the CMake build system too
   (Closes: #819072)
 
   [ Alexis La Goutte ]
   * Fix an issue with scan-view (Closes: #825101)
 
   [ YunQiang Su ]
   * Enable FPXX by default on mips/mipsel (Closes: #826749)

llvm-toolchain-snapshot (1:3.9~svn260851-1) unstable; urgency=medium

   * New snapshot
   * Switch to 3.9 (remove lldb-3.9-dev as it was a transitionnal pkg)
   * Update the clang description for something more accurate (C++-11, 14, etc)
   * Cmake migration. Done by Andrew Wilkins. Many thanks to him
     - Update patches to set SONAME in CMake build
     - Create symlinks with ".links", don't install from build tree
     - Remove LLVM-internal tools (lit, FileCheck, not, tblgen, etc.)
     - Remove llvm-X.Y-tools package, because it contained only
       internal tools that are not intended for distribution.
     - Remove autotools-specific artifacts from packages.
     - Remove "dummy" documentation artifacts from llvm-X.Y-docs
       package. Not built/installed by CMake, not useful.
     - Update control/rules to support CMake
     - Patch LLDB SWIG interfaces to workaround a bug in SWIG
       See https://llvm.org/bugs/show_bug.cgi?id=25468
     - add missing files to clang-format
     - Add patch to fix sanitizer lit invocation
     - removed LLVM-internal tools (lit, FileCheck, not, *-tblgen, etc.);
       not installed by CMake, not intended for distribution
     - removed llvm-X.Y-tools (contained only internal tools)
     - removed autotools-specific artifacts (configure, Makefile, etc.)
     - removed dummy documentation files
   * Sync against 3.8
   * Disable "Sphinx warnings treated as errors"

llvm-toolchain-3.8 (1:3.8-1) unstable; urgency=medium

   * New upstream release
   * Install a missing library to unbreak lldb (Closes: #815809)

llvm-toolchain-3.8 (1:3.8~+rc3-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Update the clang description for something more accurate (C++-11, 14, etc)
   * Update debian/orig-tar.sh to remove autoconf/config.sub autoconf/config.guess
     in polly
 
   [ Matthias Klose ]
   * clang-tidy-3.8: Remove Breaks/Replaces on clang-modernize-3.8.
   * Disable lldb on s390x.

llvm-toolchain-3.8 (1:3.8~+rc2-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Remove build-llvm/ after the install step to save space.
     Most of the rc1 builds failed because of hd space.

llvm-toolchain-3.8 (1:3.8~+rc1-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Cmake migration. Done by Andrew Wilkins. Many thanks to him
     - Update patches to set SONAME in CMake build
     - Create symlinks with ".links", don't install from build tree
     - Remove LLVM-internal tools (lit, FileCheck, not, tblgen, etc.)
     - Remove llvm-X.Y-tools package, because it contained only
       internal tools that are not intended for distribution.
     - Remove autotools-specific artifacts from packages.
     - Remove "dummy" documentation artifacts from llvm-X.Y-docs
       package. Not built/installed by CMake, not useful.
     - Update control/rules to support CMake
     - Patch LLDB SWIG interfaces to workaround a bug in SWIG
       See https://llvm.org/bugs/show_bug.cgi?id=25468
     - add missing files to clang-format
     - Add patch to fix sanitizer lit invocation
     - removed LLVM-internal tools (lit, FileCheck, not, *-tblgen, etc.);
       not installed by CMake, not intended for distribution
     - removed llvm-X.Y-tools (contained only internal tools)
     - removed autotools-specific artifacts (configure, Makefile, etc.)
     - removed dummy documentation files

llvm-toolchain-3.8 (1:3.8.1-8) unstable; urgency=medium

   * Disable the usage of ld gold on powerpc (Closes: #833583)
   * Revert drop-avx512-from-skylake.diff, it is causing some regressions in the
     testsuite
   * Disable lldb on ppc64
   * libfuzzer depends on the same version of clang (Closes: #833564)
   * Use filter into of findstring in the gold usage. Thanks Doko for the
     suggestion

llvm-toolchain-3.8 (1:3.8.1-7) unstable; urgency=medium

   * Fix the detection of gcc. This broke the build on the latest unstable

llvm-toolchain-3.8 (1:3.8.1-6) unstable; urgency=medium

   * Ship libFuzzer in its own package (libfuzzer-X.Y-dev) (Closes: #820159)
   * Sync from Ubuntu. Many thanks to Matthias Klose
     - drop-avx512-from-skylake.diff: Don't enable AVX512 on Skylake, as it's
       a server cpu feature and breaks llvmpipe on workstations.
     - Remove the build tree before calling dh_strip; at least the amd64 buildd
       runs out of diskspace at this step.
     - Add support for gcc's attribute abi_tag (needed for compatibility with
       GCC 5's libstdc++); taken from the trunk (Closes: #797038)
       (LP: #1510042, #1488254)
       D17567-PR23529-Sema-part-of-attrbute-abi_tag-support.diff
       D18035-PR23529-Mangler-part-of-attrbute-abi_tag-support.diff

llvm-toolchain-3.8 (1:3.8.1-5) unstable; urgency=medium

   [ Gianfranco Costamagna ]
   * Try to fix mips64el build, by enabling the same
     packages as the mips and mipsel versions
   * Link mips* with latomic.
 
   [ Sylvestre Ledru ]
   * Disable lldb on sparc64 (Closes: #832371)
   * Hopefully fix the FTBFS on armel

llvm-toolchain-3.8 (1:3.8.1-4) unstable; urgency=medium

   * Fix the FTBFS under mips/mipsel? (enable the link against atomic)
     (Closes: #820537)
   * Bring back llvm-3.8-tools to life
   * ship clang-tblgen & yaml-bench as part of the libclang-common-X.Y-dev
     package

llvm-toolchain-3.8 (1:3.8.1-3) unstable; urgency=medium

   * Add -gsplit-dwarf to CXXFLAGS to workaround the memory allocation
     issue on i386 (hopefully)

llvm-toolchain-3.8 (1:3.8.1-2) unstable; urgency=medium

   [ Sylvestre Ledru ]
   * Add a symlink from usr/lib/llvm-3.8/share/llvm/cmake
     pointing to usr/share/llvm-3.8/cmake
 
   [ Gianfranco Costamagna ]
   * Remove python-lldb-3.8 where liblldb-3.8-dev is not built

llvm-toolchain-3.8 (1:3.8.1-1) unstable; urgency=medium

   * New maintenance release
 
   [ Kai Wasserbäch ]
   * debian/rules: Ensure ld-gold is used. CMake invokes the linker through
     g++ most of the time, therefore we need to set -Wl,-fuse-ld=gold.
 
   [ Brad King ]
   * Followup to fix the cmake install (Closes: #819072)
 
   [ YunQiang Su ]
   * Enable FPXX by default on mips/mipsel (Closes: #826749)

llvm-toolchain-3.8 (1:3.8.1~+rc1-1~exp1) experimental; urgency=medium

   * New RC release
   * Improve the cmake detection (used for llvm.org/apt)
   * Standards-Version updated to 3.9.8
   * Ignore outdated-autotools-helper-file
 
   [ Brad King ]
   * Install cmake files in usr/share/llvm-@LLVM_VERSION@/cmake/ instead of
     usr/share/llvm-@LLVM_VERSION@/cmake/
   * Also install libLLVM-3.8.so.1 as a symlink
   * debian/patches/fix-cmake-config-prefix.diff:
     cover the CMake build system too
   (Closes: #819072)
 
   [ Pablo Oliveira ]
   * Fix python-lldb dependencies and make proper symlinks to libLLVM
     and liblldb as suggested by Graham Inggs (Closes: #821022)
   * Fix liblldb suffix in lldb/scripts/Python/finishSwigPythonLLDB.py
     (Closes: #813798)
   * Fix LLVM bug 26158 - clang packages don't provide man pages
   * Add python-six as a dependency of python-lldb (thanks to Askar Safin).
 
   [ Gianfranco Costamagna ]
   * Make python-lldb-3.8 depend on lldb-3.8-dev, to pick all
     the required dependencies
   * Unbreak circular dependency by Suggesting the python binding from
     liblldb-3.8-dev
 
   [ Alexis La Goutte ]
   * Fix an issue with scan-view (Closes: #825101)

llvm-toolchain-3.8 (1:3.8-2) unstable; urgency=medium

   * Team upload.
   * Disable polly on s390x and fix polly check.
   * Fix VCS fields.
 
   [ Sylvestre Ledru ]
   * Fix txt file installation issue, by putting a README.txt file
     with some explanation.
 
   [ Graham Inggs ]
   * Tighten llvm dev dependency (Closes: #814142).

llvm-toolchain-3.8 (1:3.8-1) unstable; urgency=medium

   * New upstream release
   * Install a missing library to unbreak lldb (Closes: #815809)

llvm-toolchain-3.8 (1:3.8~+rc3-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Update the clang description for something more accurate (C++-11, 14, etc)
   * Update debian/orig-tar.sh to remove autoconf/config.sub autoconf/config.guess
     in polly
 
   [ Matthias Klose ]
   * clang-tidy-3.8: Remove Breaks/Replaces on clang-modernize-3.8.
   * Disable lldb on s390x.

llvm-toolchain-3.8 (1:3.8~+rc2-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Remove build-llvm/ after the install step to save space.
     Most of the rc1 builds failed because of hd space.

llvm-toolchain-3.8 (1:3.8~+rc1-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Cmake migration. Done by Andrew Wilkins. Many thanks to him
     - Update patches to set SONAME in CMake build
     - Create symlinks with ".links", don't install from build tree
     - Remove LLVM-internal tools (lit, FileCheck, not, tblgen, etc.)
     - Remove llvm-X.Y-tools package, because it contained only
       internal tools that are not intended for distribution.
     - Remove autotools-specific artifacts from packages.
     - Remove "dummy" documentation artifacts from llvm-X.Y-docs
       package. Not built/installed by CMake, not useful.
     - Update control/rules to support CMake
     - Patch LLDB SWIG interfaces to workaround a bug in SWIG
       See https://llvm.org/bugs/show_bug.cgi?id=25468
     - add missing files to clang-format
     - Add patch to fix sanitizer lit invocation
     - removed LLVM-internal tools (lit, FileCheck, not, *-tblgen, etc.);
       not installed by CMake, not intended for distribution
     - removed llvm-X.Y-tools (contained only internal tools)
     - removed autotools-specific artifacts (configure, Makefile, etc.)
     - removed dummy documentation files

2015

llvm-toolchain-snapshot (1:3.8~svn255217-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Fix an install issue with clang-tidy
   * clang-modernize has been removed. Long live to clang-tidy, its
     replacement

llvm-toolchain-snapshot (1:3.8~svn254193-2) UNRELEASED; urgency=medium

   * disable lldb and polly on powerpc, currently ftbfs.
     setting the lldb archs in debian/control in just one
     place would be appreciated.
   * quoting fixes in debian/rules, when make macros
     are empty
     Thanks to Doko for the two previous changes (Closes: #806729)

llvm-toolchain-snapshot (1:3.8~svn254193-1) unstable; urgency=medium

   * New snapshot release
   * Remove some warnings in the manpages generation (Closes: #795310)
   * Also ship sancov in clang-3.8
   * Fix the links to scan-build-3.8 & scan-view-3.8

llvm-toolchain-snapshot (1:3.8~svn250696-1) unstable; urgency=medium

   * Remove macho-dump from LLVM (removed by upstream r248302)
   * Introduce clang-tidy-3.8 as a separate package. Replaces clang-modernize
   * Ship run-clang-tidy.py & clang-tidy-diff.py in clang-tidy-3.8
   * Remove cpp11-migrate-3.8 package. Has been replaced by clang-modernize
     for a while (which will be replaced by clang-tidy)
   * Add three new symbols in libclang1
     - clang_CompileCommand_getFilename@Base
     - clang_CompileCommand_getMappedSourceContent@Base 3.8
     - clang_CompileCommand_getMappedSourcePath@Base 3.8

llvm-toolchain-snapshot (1:3.8~svn247576-1) unstable; urgency=medium

   [ Sylvestre Ledru ]
   * New snapshot release
   * Remove CVE-2015-2305.patch. Already fixed upstream in a different
     way
   * remove patches merge upstream
     - lit-lang.diff
     - locale-issue-ld.diff
   * Also generate liblldb-3.8-dbg
   * Select LLVM OpenMP as the default backend
 
   [ Gianfranco Costamagna ]
   * d/control: Add more conflicting packages (python-clang and python-lldb)
     (Closes: #796811, #796843)
   * Remove an obsolete declaration about dragonegg
     (cherry-pick from 3.7 branch)
 
   [ James Price ]
   * d/p/fix-cmake-config-prefix.diff: fix cmake path,
     needs a change after upstream revision r241080
     (Addresses: #794905)

llvm-toolchain-snapshot (1:3.8~svn245286-1) unstable; urgency=medium

   * New snapshot release (3.7 => 3.8)
     No need to rename libllvm as 3.8 was not part of the debian archive
 
   [ Gianfranco Costamagna ]
   * Fix VCS fields.
   * d/p/CVE-2015-2305.patch, fix security issue on regcomp.c
   * Fix many lintian warning/errors
     - copyright fixes
     - control files
     - disabled ocaml documentation

llvm-toolchain-snapshot (1:3.7~svn231060-1~exp2) UNRELEASED; urgency=medium

   * Reflect upstream changes wrt vim package. Split the files into different
     directories
   * Disable the patch force-gcc-header-obj.diff. Seems to cause bug #23556
   * Fix the CMake build. thanks to Paweł Bylica for the fix.
     Fix upstream bug #23352
   * No longer building some clang help page, removing them

llvm-toolchain-snapshot (1:3.7~svn231060-1~exp1) experimental; urgency=medium

   * New snapshot release
   * Force the version of clang in the analyzer scripts
     clang-analyzer-force-version.diff

llvm-toolchain-snapshot (1:3.7~svn230857-1) unstable; urgency=medium

   * New snapshot release
   * Support of gcc 5.0 (Closes: #777988)
   * compiler-rt-i586.diff: fix a build issue of compiler-rt under i386
   * lldb-gdbserver & lldb-platform have been merged into lldb-server
   * Bring back polly and remove libcloog-isl-dev & libisl-dev as build deps
     (shipped in the polly source tree)
   * Set the correct conflicts (Closes: #777580, #777581, #777582)
   * lit-lang.diff: Force the call to ld to be in english
     (was failing with a french locale)
   * silent-MCJIIT-tests.diff: enable some tests and silents some other

llvm-toolchain-snapshot (1:3.7~svn227076-1) unstable; urgency=medium

   * New snapshot release
   * Switch to version 3.7
   * Standards-Version updated to 3.9.6

2014

llvm-toolchain-snapshot (1:3.6~svn224810-1) unstable; urgency=medium

   * New snapshot release
   * Update library filename declaration 3.5 => 3.6 (Closes: #772006)

llvm-toolchain-snapshot (1:3.6~svn221998-1~exp1) experimental; urgency=medium

   * Disable ocaml binding. Needs libctypes-ocaml 0.3.3 which is not available
   * libllvm*.a is not longer built
   * Update of the libclang symbols
   * Improve the copyright file. Thanks to Dann Frazier (Closes: #766778)

llvm-toolchain-snapshot (1:3.6~svn218612-1) unstable; urgency=medium

   * Fix my screw up. Add .1 to the libclang soname to make
     dpkg-shlibdeps happy
   * Remove useless dependency on doxygen
   * scan-build could not find clang binary (Closes: #758998)

llvm-toolchain-snapshot (1:3.6~svn218446-1) unstable; urgency=medium

   * New snapshot release
   * Upload in unstable
   * Disable the co-instability of lldb & python-lldb
     (Python stuff conflicts)
   * Fix bad dependencies on lldb 3.6
   * Refresh of the list of symbol in libclang
   * Try to workaround the FTBFS under ppc64el (create an empty directory)

llvm-toolchain-snapshot (1:3.6~svn216933-1~exp1) experimental; urgency=medium

   * New snapshot release
   * sync from 1:3.5~+rc4-2~exp1
   * libclang-3.6.so should be used instead libclang.so. Update the soname
     to match the new lib name (Closes: #759538)
   * Rename liblldb.so to liblldb-3.6.so + update of the soname.
   * python-clang-3.6 description updated
   * liblldb-3.6 and python-lldb-3.6 added
   * lldb-3.6-dev renamed to liblldb-3.6-dev to match the previous changes
   * Manpages for llvm-ranlib, clang-apply-replacements, pp-trace and clang-tidy
     added
   * clang-3.6 should depends on binutils (for ld, at least)
     (Closes: #751030)
   * clang/www/analyzer/scripts/dbtree.js removed

llvm-toolchain-snapshot (1:3.6~svn215195-3) unstable; urgency=medium

   * Just like in 3.4 & 3.5, bring back lldb & lldb-dev under mips & mipsel
   * Ship clang-rename/clang-rename-3.6
   * Disable libstdc++-header-i386.diff & include-target.diff (merged upstream)

llvm-toolchain-snapshot (1:3.6~svn215195-2) unstable; urgency=medium

   * try to build lldb-mi under kfreebsd (kfreebsd-lldb-mi.diff)
   * kfreebsd-lldb-gdbserver.diff removed (applied upstream)

llvm-toolchain-snapshot (1:3.6~svn215195-1) unstable; urgency=medium

   * Upload in unstable
   * Enable compressed debug sections (Closes: #757002)
   * Force scan-build to use the same version of clang
   * Old JIT has been removed. 0050-powerpcspe-fp.diff is useless
   * try to build lldb-gdbserver under kfreebsd (kfreebsd-lldb-gdbserver.diff)
   * Second try to fix build under HURD (hurd-EIEIO-undef.diff)

llvm-toolchain-3.4 (1:3.4.2-8) unstable; urgency=medium

   * Try to bring back lldb-3.4-dev on mips & mipsel (Closes: #758314)

llvm-toolchain-3.4 (1:3.4.2-7) unstable; urgency=medium

   * Upload in unstable
   * Try to bring back lldb on mips & mipsel
   * Force scan-build to use the same version of clang
   * Try to fix hurd (hurd-EIEIO-undef.diff)

llvm-toolchain-3.5 (1:3.5~+rc4-1) unstable; urgency=medium

   * New snapshot release

llvm-toolchain-3.5 (1:3.5~+rc3-1) unstable; urgency=medium

   * New snapshot release
   * Cherry-pick to commit from upstream (revisions 214906 214907)
     to improve the gcc compat
   * Remove scan-build-clang-path.diff (applied upstream)
   * Just like in 3.4, bring back lldb & lldb-dev under mips & mipsel

llvm-toolchain-3.5 (1:3.5~+rc2-1) unstable; urgency=medium

   * Fix the version
   * try to build lldb-gdbserver under kfreebsd (kfreebsd-lldb-gdbserver.diff)
   * Second try to fix build under HURD (hurd-EIEIO-undef.diff)

llvm-toolchain-3.5 (1:3.5~+rc2-1~exp1) unstable; urgency=medium

   * New snapshot release
   * Enable compressed debug sections (Closes: #757002)
   * Force scan-build to use the same version of clang
   * Bring back scan-build-search-path.diff (Closes: #757219)

llvm-toolchain-snapshot (1:3.6~svn214630-1~exp1) experimental; urgency=medium

   * New snapshot release (3.5 => 3.6)
   * Co installation of clang (Closes: #736057)
     - scan-build => scan-build-3.6
     - scan-view => scan-view-3.6
     - asan_symbolize => asan_symbolize-3.6
   * Refresh of the patches
   * Install yaml2obj, obj2yaml & verify-uselistorder in llvm-3.6
   * Remove of pollycc
   * clang alternatives are managed by llvm-defaults

llvm-toolchain-3.5 (1:3.5~+rc1-2) unstable; urgency=medium

   * Sync with 3.4 svn to retrieve some changes:
   * Replace $(CURDIR)/debian/tmp by a variable
   * Move the polly installation in the dh_auto_install rules instead
     of using *.install files. In llvm.org/apt/, I have to sometime disable
     polly
   * hurd-EIEIO-undef.diff: try to undef an errno.h to fix the ftbfs
   * clang-X suggests clang-X-doc (Closes: #755922)
   * Manage all files using .in mechanism. It will simplify the upgrade of
     version
   * Disable lldb for ppc64el. Thanks to Dimitri John Ledkov (Closes: #756380)
   * Fix the FTBFS under PowerPC. Thanks to Dimitri John Ledkov for the patch

llvm-toolchain-3.5 (1:3.5~+rc1-1) unstable; urgency=medium

   * First RC release of the 3.5 llvm toolchain
   * Apply lldb-kfreebsd.diff patch to fix FTBFS under KFreeBSD
     Thanks to Ed Maste

llvm-toolchain-snapshot (1:3.5~svn213451-1) unstable; urgency=medium

   * New snapshot release
   * If the version of gcc is too old, force the usage of gcc 4.8
   * Clang will now show the full version. Example: 3.5.0-svn213052-1~exp1

llvm-toolchain-snapshot (1:3.5~svn211669-2) unstable; urgency=medium

   * Remove useless dependency on g++
   * Use the option stable '-analyzer-config stable-report-filename=true'
     to the llvm scan-build reports

llvm-toolchain-snapshot (1:3.5~svn211669-1) unstable; urgency=medium

   * New snapshot release
   * Fix CVE-2014-2893 (Closes: #744817)
   * Merge with 3.4/debian
   * Ship lldb-mi in lldb
   * Remove scan-build-fix-clang-detection.diff (applied upstream)
   * Ship the compiler-rt static libraries
   * Running tests respect DEB_BUILD_OPTIONS=parallel=X
    (Closes: #751943)
   * Fix FTBFS on powerpc and powerpcspe (Closes: #733890)
   * Broken library symlink fixed in lldb-3.5 (Closes: #715130)
   * Fix --use-cc when no absolute path is provided (Closes: #748777)

llvm-toolchain-snapshot (1:3.5~svn209039-2) unstable; urgency=medium

   * Provide a link as compatibility with previous lib name (Closes: #748569)
   * Be less permissive when installing lldb. Remove duplication of the install
     of liblldb.so.1

llvm-toolchain-snapshot (1:3.5~svn209039-1) unstable; urgency=medium

   * New snapshot release
   * Fix the cmake install patch
   * Disable profile_rt.diff for now
   * Refresh of libclang1-3.5.symbols
   * Fix path to /usr/lib/clang/3.5.0/ (Closes upstream #19088)
   * Fix the wrong dependency declaration on llvm-3.5-tools
   * Add gnustep & gnustep-devel as suggests of clang-3.5
   * Add libc6-dev as an explicit dependency of clang-3.5
   * Build with dh_install --fail-missing
   * Start to use /usr/bin/foo-X.Y. First step to have several clang versions
     installed together
   * Add some missing files:
     - lli-child-target         - llvm-3.5-runtime
     - count                    - llvm-3.5-tools
     - html.tar.gz              - llvm-3.5-doc
     - ocamldoc.tar.gz          - llvm-3.5-doc
     - BugpointPasses.so        - llvm-3.5-dev
     - liblldb*                 - lldb-3.5-dev
     - clang-apply-replacements - clang-3.5
     - clang-tidy               - clang-3.5
     - clang-query              - clang-3.5
     - pp-trace                 - clang-3.5
     - lldb-platform            - lldb-3.5
     - lldb-gdbserver           - lldb-3.5

llvm-toolchain-3.4 (1:3.4.2-2) unstable; urgency=medium

   * Improve the CVE-2014-2893 fix (Closes: #744817)
   * Add a check to avoid an error on arch where compiler-rt is not available

llvm-toolchain-3.4 (1:3.4.2-1) unstable; urgency=medium

   * New upstream release
   * Add build conflict on libllvm-3.5-ocaml-dev
   * Also disable lldb tests under armel (like armhf). Timeout
   * Update of the repack script
   * Use llvm-3.4-dev.links.in to manage the symlinks
   * Fix the soname of liblldb.so to see it treated as a real library
     (Closes: #750868)
   * Switch to the default gcc/g++ compiler. Currently 4.9 (Closes: #751322)
   * Fixes CVE-2014-2893 (Closes: #744817)

llvm-toolchain-3.4 (1:3.4.1-4) unstable; urgency=medium

   * Be less permissive when installing lldb. Remove duplication of the install
     of liblldb.so.1
   * Add symlinks lldb-3.4, lldb-platform-3.4 & lldb-gdbserver-3.4 without 3.4
   * Clang was unusable with libstdc++ from gcc 4.9 (Closes: #744792)

llvm-toolchain-3.4 (1:3.4.1-3) unstable; urgency=medium

   * Fix path for arch without support of compiler-rt. Should fix most of the
     FTBFS

llvm-toolchain-3.4 (1:3.4.1-2) unstable; urgency=medium

   * Fix the soname. No changes in the ABI, so, no need to update the soname
     (Closes: #747701)

llvm-toolchain-3.4 (1:3.4.1-1) unstable; urgency=medium

   * New upstream release. Note that only LLVM & Clang had a new release.
     I just copied the 3.4 tarballs for clang-extra-tools, polly, lldb and
     compiler-rt.
   * Symlink for current build mode missing (Closes upstream #18836)
   * Add link usr/lib/llvm-3.4/ to usr/lib/llvm-3.4/build/Debug+Asserts
   * Backport of a r201586 from upstream. scan-build was failing on some project
     like firefox build system. (Yeh, advantage to be the packager of a software
     that I use ;) ). See scan-build-fix-clang-detection.diff
   * Fix the version in the symbol list (libclang1-3.4.symbols)
   * Update the path regarding upstream changed (3.4 => 3.4.1)
     (Patch improved also by Martin Nowack)
   * Remove generated file libllvm3.4.install
   * Add gnustep & gnustep-devel as suggests of clang-3.4
   * Add libc6-dev as an explicit dependency of clang-3.4
   * Build with dh_install --fail-missing
   * Start to use /usr/bin/foo-X.Y. First step to have several clang versions
     installed together
   * Add some missing files:
     - lli-child-target         - llvm-3.4-runtime
     - count                    - llvm-3.4-tools
     - html.tar.gz              - llvm-3.4-doc
     - ocamldoc.tar.gz          - llvm-3.4-doc
     - BugpointPasses.so        - llvm-3.4-dev
     - liblldb*                 - lldb-3.4-dev
     - lldb-platform-3.4        - lldb-3.4
     - clang-apply-replacements - clang-3.4
     - clang-tidy               - clang-3.4
     - pp-trace                 - clang-3.4

llvm-toolchain-snapshot (1:3.5~svn200375-1) unstable; urgency=medium

   * New snapshot release
   * polly unnopstream is now using the isl trunk. Disabling it for now.
   * Only explicit the link against atomic when running mips & mipsel
   * Fix the cindex.py declaration (3.3 => 3.5). Closes upstream bug #18365
   * Bring back the dependency on gcc 4.8. It breaks the nightly snapshot
     packages and it should be the norm now...
 
   [ Martin Nowack ]
   * Fixed build directory for llvm-config
   * Add Unittests for running tests for llvm-based projects
   * Install FileCheck and not for testing

llvm-toolchain-snapshot (1:3.5~svn199601-1) unstable; urgency=low

   * New snapshot release
   * Update clang-format declaration from 3.4 => 3.5. Closes upstream bug #18451
   * Fix the cindex.py declaration (3.3 => 3.5). Closes upstream bug #18365
   * Force gcc 4.8. LLVM & Co are now in C++ 11.
   * Also make clang-3.5 breaks/replaces clang. Conflicts on
     /usr/share/clang/scan-view/ScanView.py (Closes: #730266)

2013

llvm-toolchain-snapshot (1:3.5~svn197556-1) unstable; urgency=low

   * New snapshot release
   * Merge changes from 1:3.4~+rc3-1
   * Disable much of the display of the lldb display

llvm-toolchain-snapshot (1:3.5~svn195337-1) unstable; urgency=low

   * Sync from 3.4~+rc2-1
   * Make lldb 3.5 also conflict with 3.4 (Closes: #730163)
   * Make python-clang 3.5 also conflict with 3.4 (Closes: #730164)
   * Fix a FTBFS with clang
   * Refresh the /usr/include/clang mess

llvm-toolchain-snapshot (1:3.5~svn195337-1) unstable; urgency=low

   * Switch from 3.4 to 3.5
   * Remove patch 0046-Revert-Patch-to-set-is_stmt-a-little-better-for-prol.patch
     Useless now and misleading
   * Standards-Version updated to 3.9.5
   * kfreebsd.diff remove (applied upstream)

llvm-toolchain-3.4 (1:3.4-2) unstable; urgency=medium

   * Only explicit the link against atomic when running mips & mipsel
   * Fix the cindex.py declaration (3.3 => 3.5). Closes upstream bug #18365
   * Bring back the dependency on gcc 4.8. It breaks the nightly snapshot
     packages and it should be the norm now...
   * Introduce llvm-3.4-tools to contain the new files needed by Martin
 
   [ Matthias Klose ]
   * Disable the lldb build for AArch64.
   * Don't run the lldb tests on armhf (time out on the buildd).
 
   [ Martin Nowack ]
   * Fixed build directory for llvm-config
   * Add Unittests for running tests for llvm-based projects
   * Install FileCheck and not for testing

llvm-toolchain-3.4 (1:3.4-1) unstable; urgency=medium

   * New upstream release
   * Remove explicit dep on gcc 4.8

llvm-toolchain-3.4 (1:3.4~+rc3-1ubuntu4) trusty; urgency=medium

   * Rebuild for ocaml-4.01.

llvm-toolchain-3.4 (1:3.4~+rc3-1ubuntu3) trusty; urgency=low

   * Bring over Ubuntu changes from 3.3:
     - Revert to using the static copy of libjsoncpp, since the shared
       library lacks sane versioning, and this is only a few thousand
       lines of cargo-culted code from a reasonably stagnant upstream.
     - Drop lcov build-dep to avoid pulling it into main, due to its
       being fundamentally incompatibe with our newer GCC versions.

llvm-toolchain-3.4 (1:3.4~+rc3-1ubuntu2) trusty; urgency=low

   * Don't run the lldb tests on armhf (time out on the buildd).

llvm-toolchain-3.4 (1:3.4~+rc3-1ubuntu1) trusty; urgency=low

   * Disable the lldb build for AArch64.
   * Build-depend on gcc-multilib on amd64 and i386.

llvm-toolchain-3.4 (1:3.4~+rc3-1) unstable; urgency=low

   * New testing upstream release
   * Relative call in the chroot without proc failed.
     See: fix-an-issue-in-chroot-witout-proc.diff
   * Bring back lldb-link-atomic.diff to make sure lldb builds under
     powerpc
   * Also limit the number of archs for liblldb-dev

llvm-toolchain-3.4 (1:3.4~+rc2-3) unstable; urgency=low

   * Fix the bad declaration on the lldb desactivation
   * Also disable lldb under powerpc
   * Hopefully, fix lldb under Kfreebsd-* (thanks to Ed Maste if it works)

llvm-toolchain-3.4 (1:3.4~+rc2-2) unstable; urgency=low

   * Add the Ocaml ABI dependency (Closes: #731344)
   * Disable LLDB also for ia64, mips & mipsel

llvm-toolchain-3.4 (1:3.4~+rc2-1) unstable; urgency=low

   * New testing upstream release
   * 0047-version-name.diff ocamldoc.diff removed (applied upstream)
   * r600 is now compiled by default (remove the configure arg)

llvm-toolchain-3.4 (1:3.4~+rc1-3) unstable; urgency=low

   * Remove the usage of --with-c-include-dirs, --with-cxx-include-root,
     --with-cxx-include-arch and --with-cxx-include-64bit-dir
     It was blocking the automatic detection of the path of clang.
     In particular in the context of the usage of -target.
     However, it does not completely fix the detection of the i386 C++ path.
     See the next item.
     (Closes: #729933)
   * Bring back the path to libstdc++ under i386. Still not fixed upstream
     (Closes: #730857)
   * Define also MAXPATHLEN in Path.inc for HURD.
   * Silent the trillion of warnings in the LLDB Python wrapper (swig generated)
     See silent-swig-warning.diff
   * Silent some i386 tests failing (it is expected)
     See silent-MCJIIT-tests.diff
   * Make lldb 3.4 also conflict with 3.5 (Closes: #730163)
   * Make python-clang 3.4 also conflict with 3.5 (Closes: #730164)
   * Port LLVM to mips64el. Thanks to YunQiang Su. Initially done for
     3.3 and ported on the 3.4 (Closes: #730808)
   * If we get an unexpected pass, do not break the tests
     do-not-fail-on-unexpected-pass.diff (I am disabling some tests)
   * Fix the path detection of the objective h headers.
   * Also add usr/lib/llvm-3.4/lib/clang/3.4/include =>
     usr/lib/clang/3.4/include symlink to simplify the path detection

llvm-toolchain-3.4 (1:3.4~+rc1-2) unstable; urgency=low

   * Force the build to gcc 4.8... gcc 4.6 used on some Debian archs does not
     support some C++ features.
   * Fail the build when llvm tests are failing under amd64 + i386. More to come.
   * Fix a libclang.so.1 issue during the clang tests
   * Improve the patch 23-strlcpy_strlcat_warning_removed.diff
     (also remove the tests)
   * Make lldb 3.4 also conflict with 3.5 (Closes: #730163)
   * Make python-clang 3.4 also conflict with 3.5 (Closes: #730164)
   * Remove usr/lib/llvm-3.4/build/autoconf/LICENSE.TXT
   * silent warning "manpage-has-useless-whatis-entry" in lldb-3.4
   * silent warning "package-name-doesnt-match-sonames libclang1"
   * Refresh patch kfreebsd_v2.diff to, maybe, fix lldb build under kfreebsd.
     Thanks to Ed Maste for the patch.

llvm-toolchain-3.4 (1:3.4~+rc1-1) unstable; urgency=low

   * New testing upstream release
   * kfreebsd.diff removed. Applied upstream
   * Remove patch 0046-Revert-Patch-to-set-is_stmt-a-little-better-for-prol.patch
     Useless now and misleading
   * Branch from llvm-toolchain-snapshot
   * Standards-Version updated to 3.9.5

llvm-toolchain-snapshot (1:3.4~svn194079-1) unstable; urgency=low

   * New snapshot release
   * Also install clang 3.4 examples (clang-3.4-examples) (Closes: #728260)
   * Move c-index-test* from llvm-3.4 => clang-3.4. It was triggering an
     unnecessary dependency from llvm-3.4 to libclang

llvm-toolchain-snapshot (1:3.4~svn193628-1) unstable; urgency=low

   * New snapshot release
     - Fix the scan-build warning (Closes: #725332)
   * Merge changes from the 3.3 branch (see 1:3.3-12)
   * Add lldb-3.4-dev package
   * Remove mipsel-ftbfs.diff (applied upstream)
   * Add support of coverity checker (non-free and not packaged)
   * libprofile_rt and runtime has been removed upstream (r191835)
     Features are provided by compiler-rt
   * Update the build dependency from tcl8.5 to tcl (Closes: #725954)
   * clang-modernize-3.4 was not coinstallable with clang 3.4
     (Closes: #724245)
   * The package wasn't cleaned correctly (Closes: #722155)
   * libtinfo-dev is now a dependency of llvm-3.4-dev (Closes: #727129)
   * Install libclang.so in /usr/lib/*/libclang-3.4.so
   * Install libclang.so.1 in /usr/lib/*/libclang-3.4.so.1
   * Also ship the python clang binding (python-clang-3.4)
   * Enable polly if the dependencies are OK (only Debian unstable for now)
   * Bring back /usr/lib/llvm-3.4/lib/libclang.so (libclang-3.4-dev) and
     /usr/lib/llvm-3.4/lib/libclang.so.1 (libclang1-3.4)
   * Honor the option "nocheck"
   * Disable the build of lldb under HURD
   * Ship the lldb headers into lldb-X.Y-dev (Closes: #723743)
     I might create a liblldb-X.Y library at some point but I think it is too
     early.
   * Update the build dependency from tcl8.5 to tcl (Closes: #725953)
   * Update of the clang descriptions (Closes: #727684)

llvm-toolchain-snapshot (1:3.4~svn190846-1) unstable; urgency=low

   * New snapshot release
   * Merge changes from the 3.3 branch (see 1:3.3-9)
   * Remove ia64-fix.diff (applied upstream)
   * cpp11-migrate renamed to clang-modernize
   * lldb-3.4 is back to Architectures: any
   * Patch lldb-hurd.diff removed (applied upstream)
   * Directory www/ from tarballs polly & lldb removed
   * Update of the description of LLVM packages
     (LLVM no longer mean Low Level Virtual Machine)
 
   [ Luca Falavigna ]
   * debian/control:
     - Add llvm-3.4-dev to lldb-3.4 Depends field.

llvm-toolchain-3.3 (1:3.3-9) unstable; urgency=low

   [ Luca Falavigna ]
   * debian/control:
     - Add llvm-3.3-dev to lldb-3.3 Depends field (Closes: #715129).
 
   [ Sylvestre Ledru ]
   * Only use -fuse-ld=gold on supported distribution. Simplify the
     backports.
   * Fix  'bits/c++config.h' file not found under i386
     See libstdc++-header-i386.diff. (Closes: #714890)
   * Add more fixes for the HURD port... (but still fails)
 
   [ Robert Millan ]
   * clang under KfFreeBSD was not exporting the correct defines
     (Closes: #721880)
 
   [ Jon Severinsson ]
   * Merge from llvm-toolchain-3.2 branch up to 3.2repack-11.
   * Drop auto-generated file debian/libllvm3.3.install.
   * Automatically determine GCC_VERSION and dep:devlibs based on g++ package
     version.
   * Automatically determine if -fuse-ld=gold is supported based on binutils
     package version.
 
   [ Adam Conrad ]
   * debian/patches/lldb-link-atomic.diff: Link lldb with -latomic to get
     builtin GCC atomic helpers on arches (like powerpc) that need them.

llvm-toolchain-3.3 (1:3.3-8) unstable; urgency=low

   [ Sylvestre Ledru ]
   * Fix another issues under HURD...
 
   [ Luca Falavigna ]
   * debian/patches/libprofile_rt_sparc.patch:
     - Re-enable libprofile_rt on Sparc, fix FTBFS.

llvm-toolchain-3.3 (1:3.3-7) unstable; urgency=low

   * debhelper version 9.20130720 fails on the call to dh_auto_clean
     Remove it. It was anyway useless.

llvm-toolchain-3.3 (1:3.3-6) unstable; urgency=low

   * Fix the FTBFS under hurd and KFreeBSD
   * Do not remove all *.o in tests. Some of them are from upstream source
     tarball. Thanks to Maarten Lankhorst for the fix.
   * Fix the lintian error 'lldb-3.3: postinst-must-call-ldconfig'
   * Add the manpages of clang-format-3.3
   * Overrides the manpages warnings
   * Also apply unwind-chain-inclusion.diff from the snapshot branch to make sure
     we can build the package locally even if libclang-dev is installed

llvm-toolchain-3.3 (1:3.3-5) unstable; urgency=low

   * Install llvm-c headers also in usr/include/llvm-3.3/llvm-c
   * Fix the FTBFS under mips & mipsel
   * Refresh of the kfreebsd i386 patch

llvm-toolchain-3.3 (1:3.3-4) unstable; urgency=low

   * Use the static library libjsoncpp.a instead of the ship library in polly

llvm-toolchain-snapshot (1:3.4~svn185325-1) unstable; urgency=low

   * binutils-gold no longer exists. Use -fuse-ld=gold instead.

llvm-toolchain-snapshot (1:3.3-2) unstable; urgency=low

   * Fix warning python-script-but-no-python-dep on clang-format-X.Y
   * manpages are generated during build time (simplifies maintenance)
   * Fix duplicate underscore.js and jquery.js
   * Move libjs-jquery & libjs-underscore dependencies to llvm-X.Y-doc
   * Add lldb-X.Y manpage
   * Hopefully fix the ftbfs under mipsel (mipsel-ftbfs.diff)
   * Disable the usage of binutils-gold under armel. It currently fails with:
     "attempt to map 2752512 bytes at offset 2066666 exceeds size of file;
     the file may be corrupt"
 
   [ Léo Cavaillé ]
   * Add patch to find correctly LLVMGold.so with -O4 (Closes: #712437)

llvm-toolchain-snapshot (1:3.4~svn184294-1~exp1) experimental; urgency=low

   * New snapshot release
   * Improve some scripts and fix cpp11-migrate install from
     clang-tools-extra.
   * Fix "versionless" clang manpages install.
   * Fix Toolchain patch from change of scope (add namespaces).

llvm-toolchain-snapshot (1:3.4~svn183914-1) unstable; urgency=low

   * New snapshot release
   * Upload to unstable (will be blocked by a RC bug)
   * Sync changes from llvm-toolchain-3.3:
     - Introduce cpp11-migrate-3.4 and clang-format-3.4
     - Install the vim llvm script at the right place

llvm-toolchain-snapshot (1:3.4~svn182733-1~exp1) experimental; urgency=low

    * New snapshot release (3.4 release)
    * Add a symlink of libLLVM-3.4.so.1 to usr/lib/llvm-3.4/lib/libLLVM-3.4.so
        to fix make the llvm-config-3.4 --libdir work (Closes: #708677)
      * Various packages rename to allow co installations:
        * libclang1 => libclang1-3.4
        * libclang1-dbg => libclang1-3.4-dbg
        * libclang-dev => libclang-3.4-dev
        * libclang-common-dev => libclang-common-3.4-dev

llvm-toolchain-snapshot (1:3.3~svn179851-1~exp1) experimental; urgency=low

   * Draft of a snapshot release (3.3)
   * Enable r600 experimental backend
   * Improve the dependencies:
     * clang-3.3 depends on the exact same libllvm3.3 release
     * idem for lldb-3.3

llvm-toolchain-3.2 (1:3.2repack-11) unstable; urgency=low

   * dh_auto_clean removed, just like in the 3.3
   * Use the static library libjsoncpp.a instead of shipping library in polly
     Backport of the modification of 3.3
 
   [ Adam Conrad ]
   * Revive deltas from the previous Ubuntu versions of llvm and clang:
     - debian/patches/35-ubuntu-releases.diff: Add UbuntuSaucy to table.
     - debian/patches/JITEmitter.patch: Fix a segfault in the exception
       table of the JIT code emitter (See Launchpad bug #1160587)
 
   [ Luca Falavigna ]
   * debian/patches/libprofile_rt_sparc.patch:
     - Re-enable libprofile_rt on Sparc, fix FTBFS.

llvm-toolchain-3.2 (1:3.2repack-10) unstable; urgency=low

   * Fix the wrong package declaration on libstdc++-4.8-dev (Closes: #713944)

llvm-toolchain-3.2 (1:3.2repack-9) unstable; urgency=low

   * Switch to libstdc++ 4.8 instead of 4.7 for the headers (Closes: #712520)
   * Depends against libobjc-4.8-dev and libgcc-4.8-dev
   * Disable the usage of binutils-gold under armel. It currently fails with:
       "attempt to map 2752512 bytes at offset 2066666 exceeds size of file;
       the file may be corrupt"
   * Add DEBUGMAKE=1 to get information about compiler-rt compilation
   * Fix "libclang-common-dev: missing-depends-line"

llvm-toolchain-3.2 (1:3.2repack-8) unstable; urgency=low

   * Fix the build under ia64. Thanks to Luca Falavigna for the patch
     (ia64-fix.diff)
   * Disable lldb-3.2:
     - the quality is not good enough
     - We have lldb-3.3 now in the archive
     - Too many backported patches would be necessary for lldb-3.2 to work
     - It blocks some important transitions (mesa)
   * Add the detection of Ubuntu saucy

llvm-toolchain-3.2 (1:3.2repack-7) unstable; urgency=low

   * For now, enable only lldb for amd64 and i386 (blocks too many things)
     (Bis) (Closes: #707866)
   * Add a symlink of libLLVM-3.2.so.1 to usr/lib/llvm-3.2/lib/libLLVM-3.2.so
     to fix make the llvm-config-3.2 --libdir work (Closes: #708677)

llvm-toolchain-3.2 (1:3.2repack-6) unstable; urgency=low

   * Create the compiler-rt directory to make the install of compiler-rt works

llvm-toolchain-3.2 (1:3.2repack-5) unstable; urgency=low

   * For now, enable only lldb for amd64 and i386 (blocks too many things)

llvm-toolchain-3.2 (1:3.2repack-4) unstable; urgency=low

   * Add several patches which, hopefully, will fix the build under ARM, S390,
     S390X, etc (lldb-apple_only.diff, lldb-user-remove.diff & lldb-hurd.diff)
   * Include sys/wait.h also under kfreebsd (kfreebsd-thread.diff)

llvm-toolchain-3.2 (1:3.2repack-3) unstable; urgency=low

   * Before the configure, show which version of CC is being used.
   * Add support of kfreebsd and hurd in lldb (kfreebsd-hurd-lldb.diff)
   * Force the usage of gcc 4.7 for all archs. Should fix some FTBFS
     (Closes: #707866)
   * Fix the symlink on clang++.1.gz llvm-clang.1.gz (Closes: #707832)
 
   [ Jon Severinsson ]
   * Re-enable the r600 backend and update it to the mesa-9.1.1 tag.
    (Closes: #708009)

llvm-toolchain-3.2 (1:3.2repack-2) unstable; urgency=low

   * Do not depend on libobjc-4.7-dev & libgcc-4.7-dev.
     They are still only in experimental
   * Disable the usage of binutils-gold under [powerpc powerpcspe ppc64 sparc
     sparc64] to fix FTBFS

llvm-toolchain-3.2 (1:3.2repack-1) unstable; urgency=low

   * Upload to unstable
   * Standards-Version update to 3.9.4
   * clang pure virtual function call crash with binaries built with C++11's
     std::thread. Upstream commit 178816 (Closes: #705838)
   * Introduce a symbols file for libclang1 (Closes: #705672)

llvm-toolchain-3.2 (1:3.2repack-1~exp4) experimental; urgency=low

   * Build using binutls-gold to improve the quality of the binaries.
     See: http://allievi.sssup.it/techblog/?p=791
   * Detect the vendor (Debian or Ubuntu) and update the configuration
   * Port to powerpcspe. Thanks to Roland Stigge (Closes: #701587)
     See: 31-powerpcspe.diff
   * Fix the path detection of scan-build (Closes: #698352)
     See: 32-scan-build-path.diff
   * debian/patches/r600-snapshot.diff: Move backports into individual patches.
   * debian/patches/r600-snapshot.diff: Update to mesa-9.1 git tag.
     (Closes: #703671, #697356)
   * Fix a typo in the detection of the vendor
 
   [ Peter Michael Green ]
   * Use binutils-gold only on architectures where it is actually available
   * 33-armhf-defaults.diff Fix defaults to use correct CPU and FPU for
     debian  armhf (Closes: #704111)
   * 34-powerpc-no-altivec.diff disable altivec by default on powerpc because
     debian powerpc does not require altivec (patch cherry picked from ubuntu)

llvm-toolchain-3.2 (1:3.2repack-1~exp3) experimental; urgency=low

   * Remove package "clang". It is now provided by llvm-defaults.
   * Fix some issues relative to the epoch change
   * Fix a wrong path in the _lldb.so Python symlink
   * Install cmake files to build LLVM extensions (Closes: #701153)
   * Remove the embedded copy of libjs-jquery (Closes: #701087)
   * Fix the install of lli manpage (Closes: #697117)

llvm-toolchain-3.2 (1:3.2repack-1~exp2) experimental; urgency=low

   * Install the python files for lldb. Thanks to Daniel Malea for spotting this.
   * Update of the clean target
   * Introduce an epoch to match the changes in bug #699899

llvm-toolchain-3.2 (3.2repack-1~exp1) experimental; urgency=low

   * Build the whole LLVM toolchain at once. This includes:
     - LLVM
     - Clang
     - compiler-rt
     - lldb
     - polly
   * Also install clang-check & clang-tblgen in the clang-3.2 package
   * Fix the patch detection of clang from scan-build (Closes: #698352)
   * debian/patches/0050-powerpcspe-fp.diff: Add, hopefully fix FTBFS on
     powerpcspe, by disabling save / restore of floating point registers which
     don't exist on powerpcspe. Thanks to Roland Stigge for the patch.
     (Closes: #696474)
   * libLLVM-3.2.so.1 is now shipped only once (Closes: #696913)
   * Enable RTTI (Closes: #697754)
   * Introduce lldb as a new package (Closes: #698601)
   * Add a script pollycc which will call clang with the right arguments.
   * Use __builtin___clear_cache on ARM to fix a clang bug.
     Thanks to Matthias Klose.